proc format;
   value CK1_
      0 = "0. Indonesian"
      1 = "1. Javanese"
      2 = "2. Sundanese"
      3 = "3. Balinese"
      4 = "4. Batak"
      5 = "5. Bugis"
      6 = "6. Chinese"
      7 = "7. Maduranese"
      8 = "8. Sasak"
      9 = "9. Minang"
      10 = "10. Banjar"
      11 = "11. Bima"
      12 = "12. Makasar"
      13 = "13. Nias"
      14 = "14. Palembang"
      15 = "15. Sumbawa"
      16 = "16. Toraja"
      17 = "17. Lahat"
      18 = "18. Other South Sumatra"
      19 = "19. Betawi"
      20 = "20. Lampung"
      95 = "95. Other"
      98 = "96. NONE"
      99 = "99. MISSING"
   ;
   value CK2_
      0 = "0. Indonesian"
      1 = "1. Javanese"
      2 = "2. Sundanese"
      3 = "3. Balinese"
      4 = "4. Batak"
      5 = "5. Bugis"
      6 = "6. Chinese"
      7 = "7. Maduranese"
      8 = "8. Sasak"
      9 = "9. Minang"
      10 = "10. Banjar"
      11 = "11. Bima"
      12 = "12. Makasar"
      13 = "13. Nias"
      14 = "14. Palembang"
      15 = "15. Sumbawa"
      16 = "16. Toraja"
      17 = "17. Lahat"
      18 = "18. Other South Sumatra"
      19 = "19. Betawi"
      20 = "20. Lampung"
      95 = "95. Other"
      96 = "96. NONE"
      99 = "99. MISSING"
   ;
   value COV00_
      1 = "1:Interviewed"
      3 = "3:Not interviewed"
   ;
   value FP2_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value FP3_
      1 = "1. Completed"
      2 = "2. Partially completed"
      3 = "3. Not completed"
      9 = "9:MISSING"
   ;
   value FP4_
      1 = "1. Resp. not at home/did not found"
      2 = "2. Resp. was too busy"
      3 = "3. Resp. refused"
      6 = "6. NA"
      9 = "9. MISSING"
   ;
   value FP6A_
      1 = "1. Yes"
      3 = "3. No"
      9 = "9. MISSING"
   ;
   value FP6B_
      1 = "1. Yes"
      3 = "3. No"
      9 = "9. MISSING"
   ;
   value FP6C_
      1 = "1. Yes"
      3 = "3. No"
      9 = "9. MISSING"
   ;
   value D04X_
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value D05_
      1 = "1:Yes"
      3 = "3:No => D09"
      9 = "9:MISSING"
   ;
   value D08X_
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value D03_
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value D04_
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value D07_
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value D08_
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value D10_
      1 = "1:Doctor (general practitioner)"
      2 = "2:Dentist"
      3 = "3:Nurse"
      4 = "4:Midwife"
      5 = "5:Village midwife"
      6 = "6:Doctor specialist"
      7 = "7:Paramedic"
      8 = "8:Mental health experts"
      99 = "99:MISSING"
   ;
   value D12_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value D13_
      1 = "1:Yes"
      3 = "3:No => D18"
      9 = "9:MISSING"
   ;
   value D14_
      0 = "0:In Puskesmas/in the yard Puskesmas"
      1 = "1:less than 1 Km"
      2 = "1 - <5 Km"
      3 = "5 - 10 Km"
      4 = "4:more than 10 Km"
      9 = "9:MISSING"
   ;
   value D15_
      1 = "1:Male"
      3 = "3:Female"
      9 = "9:MISSING"
   ;
   value D18_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value D19_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value D20_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value D21_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value D22_
      1 = "1:Yes => NEXT LINE"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value D23_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value D24_
      1 = "1:Off duty"
      2 = "2:Vacation"
      3 = "3:No longer work at the facility"
      4 = "4:Sick"
      5 = "5:Family member was sick"
      6 = "6:Other authorized absence"
      7 = "7:Late"
      8 = "8:Unauthorized absence"
      9 = "9:Having a break"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value INTRO_D1_
      1 = "1:Interview continued"
      9 = "9:Interview ended"
   ;
   value INTRO_D2_
      1 = "1:Interview continued"
      9 = "9:Interview ended"
   ;
   value INTRO_D3_
      1 = "1:Interview continued"
      9 = "9:Interview ended"
   ;
   value INTRO_D4_
      1 = "1:wawancara berlanjut"
      9 = "9:wawancara tidak selesai"
   ;
   value PUSB_MOVER_
      0 = "0:CANCEL"
      1 = "1:COVER"
      2 = "2:B01-B20C"
      3 = "3:C01-C04A"
      4 = "4:C05-C10B"
      5 = "5:C39A-C29DC"
      6 = "6:C30-C30D"
      7 = "7:C35-C38"
      8 = "8:C39-C42A"
      9 = "9:D01-D08X"
      10 = "10:D09-D24"
      11 = "11:E01-E04"
      12 = "12:E06-E07"
      13 = "13:FT1-F45"
      14 = "14:G0-G13"
      15 = "15:G14-G19"
      16 = "16:CP"
   ;
   value MODE_PUSB_
      1 = "1:Entry"
      2 = "2:Modification"
      3 = "3:Verification"
   ;
   value PARTIAL_PUSB_
      1 = "1:Partial save"
      2 = "2:Complete"
   ;
   run;
