proc format;
   value CK1_D_
      0 = "0:Indonesia"
      1 = "1:java"
      2 = "2:sunda"
      3 = "3:bali"
      4 = "4:batak"
      5 = "5:bugis"
      6 = "6:cina"
      7 = "7:madura"
      8 = "8:sasak"
      9 = "9:minang"
      10 = "10:banjar"
      11 = "11:bima"
      12 = "12:makasar"
      13 = "13:nias"
      14 = "14:Palembang"
      15 = "15:Sumbawa"
      16 = "16:Toraja"
      17 = "17:Lahat"
      18 = "18:other south Sumatera"
      19 = "19:Betawi"
      20 = "20:Lampung"
      95 = "95:Other"
      99 = "99:MISSING"
   ;
   value CK2_D_
      0 = "0:Indonesia"
      1 = "1:java"
      2 = "2:sunda"
      3 = "3:bali"
      4 = "4:batak"
      5 = "5:bugis"
      6 = "6:cina"
      7 = "7:madura"
      8 = "8:sasak"
      9 = "9:minang"
      10 = "10:banjar"
      11 = "11:bima"
      12 = "12:makasar"
      13 = "13:nias"
      14 = "14:Palembang"
      15 = "15:Sumbawa"
      16 = "16:Toraja"
      17 = "17:Lahat"
      18 = "18:other south Sumatera"
      19 = "19:Betawi"
      20 = "20:Lampung"
      95 = "95:Other"
      96 = "96:NONE"
      99 = "99:MISSING"
   ;
   value COV00_SCHD_
      1 = "1:yes"
      3 = "3:no -> C1"
   ;
   value $COV1_D_
      'A' = "A:Principal"
      'B' = "B:Vice Principal"
      'C' = "C:Homeroom Teacher"
      'V' = "V:Other"
   ;
   value COV2_D_
      1 = "1:Public Elementary School"
      2 = "2:Private Elementary School"
      3 = "3:Public Junior High School"
      4 = "4:Private Junior High Shcool"
      5 = "5:Public Senior High School"
      6 = "6:Private Senior High School"
      7 = "7:Public Vocational High School"
      8 = "8:Private Vocational High School"
      9 = "9:MISSING"
   ;
   value FP2_D_
      1 = "1:yes"
      3 = "3:no"
   ;
   value FP3_D_
      1 = "1:Completed"
      2 = "2:Partly completed"
      3 = "3:Not completed"
      9 = "9:MISSING"
   ;
   value FP4_D_
      1 = "1:Respondent was travelling/not in location"
      2 = "2:Respondent was too busy"
      3 = "3:Respondent refused"
      6 = "6:NOT APPLICABLE"
      9 = "9:MISSING"
   ;
   value FP6A_D_
      1 = "1:yes"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value FP6B_D_
      1 = "1:yes"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value FP6C_D_
      1 = "1:yes"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value D1_
      1 = "1:yes"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value D10_
      1 = "1:CERAMICS"
      2 = "2:STONE"
      3 = "3:CEMENT"
      4 = "4:WOOD"
      5 = "5:BAMBOO"
      6 = "6:EARTHEN FLOOR"
      95 = "95:OTHER"
      99 = "99:MISSING"
   ;
   value D11_
      1 = "1:CEMENT"
      2 = "2:WOOD"
      3 = "3:BAMBOO"
      9 = "9:MISSING"
   ;
   value D12_
      1 = "1:CONCRETE"
      2 = "2:WOOD"
      3 = "3:CORRUGATED IRON"
      4 = "4:ROOFTILES"
      5 = "5:ASBESTOS"
      6 = "6:FOLIAGE"
      99 = "99:MISSING"
   ;
   value D13A_
      1 = "1:yes"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value D13B_
      1 = "1:yes"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value D13C_
      1 = "1:yes"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value D14_
      1 = "1:yes"
      3 = "3:no  --> D17"
      9 = "9:MISSING"
   ;
   value D15_
      1 = "1:CLEAN AND FUNCTIONING"
      2 = "2:UNCLEAN BUT FUNCTIONING"
      3 = "3:NOT FUNCTIONING"
      8 = "8:DON'T KNOW (LOCKED)  --> D17"
      9 = "9:MISSING"
   ;
   value D16_
      1 = "1:yes"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value D17_
      1 = "1:YES"
      2 = "2:YES"
      3 = "3:NO --> D19A"
      9 = "9:MISSING"
   ;
   value D18_
      1 = "1:CLEAN AND FUNCTIONING"
      2 = "2:UNCLEAN BUT FUNCTIONING"
      3 = "3:NOT FUNCTIONING"
      8 = "8:DON'T KNOW (LOCKED) --> D19A"
      9 = "9:MISSING"
   ;
   value D19_
      1 = "1:yes"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value D19A_
      1 = "1:Piped water/PAM"
      2 = "2:Well/pump (electrichand)"
      3 = "3:Wellwater"
      4 = "4:Seawater"
      5 = "5:Springwater"
      6 = "6:Rainwater"
      7 = "7:Riverwater"
      8 = "8:Lakewater"
      10 = "10:NoWater"
      11 = "11:Purchased"
      12 = "12:Aqua/airmineral"
      95 = "95:Other"
      99 = "99:MISSING"
   ;
   value D2_
      96 = "96:NOT APPLICABLE"
      97 = "97:REFUSE"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value D20_
      1 = "1:yes"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value D20X_
      1 = "1:IF SCHOOL IS SD/MI --> D21"
      2 = "2:IF SCHOOL IS SMP/MTs/SMA/MA/SMK --> D24"
   ;
   value D21X_
      1 = "1:yes"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value D27_
      1 = "1:yes"
      3 = "3:no  --> D14"
      9 = "9:MISSING"
   ;
   value D27A_
      1 = "1:yes"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value D28_
      1 = "1:yes"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value D3_
      96 = "96:NOT APPLICABLE"
      97 = "97:REFUSE"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value D4_
      1 = "1:yes"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value D5_
      1 = "1:yes"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value D6_
      1 = "1:yes"
      3 = "3:no --> D10"
      9 = "9:MISSING"
   ;
   value D7_
      1 = "1:PLN (State Electricity Company)"
      2 = "2:Local GovernmentAgency"
      3 = "3:School Generator"
      4 = "4:Social Self Reliance"
      5 = "5:Private Companyor Cooperative"
      99 = "99:MISSING"
   ;
   value D8_
      1 = "1:yes"
      3 = "3:no --> D10"
      9 = "9:MISSING"
   ;
   value D9_
      1 = "1:yes"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value KRP1A_D_
      1 = "1:principal"
      2 = "2:Deputy head of curriculum"
      3 = "3:deputy chief of pulic relation"
      4 = "4:deputy head of student affairs"
      5 = "5:deputy head of infrastructure and facilities"
      6 = "6:head of administrative and financial affairs"
      7 = "7:deputy head of other affairs"
      8 = "8:Homeroom Teacher"
      95 = "95:Other"
      99 = "99:MISSING"
   ;
   value KRP2AMTH_D_
      1 = "1:january"
      2 = "2:february"
      3 = "3:march"
      4 = "4:april"
      5 = "5:may"
      6 = "6:june"
      7 = "7:july"
      8 = "8:august"
      9 = "9:september"
      10 = "10:october"
      11 = "11:november"
      12 = "12:december"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value KRP2AYR_D_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value KRP2_D_
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value KRP3A_D_
      1 = "1:No school/not yet in school"
      2 = "2:elementary school"
      3 = "3:junior high - General"
      4 = "4:junior high - Vocational"
      5 = "5:High School - General"
      6 = "6:High School - Vocational"
      11 = "11:kejar Paket A (Adult Education A)"
      12 = "12:Kejar Paket B (Adult Education B)"
      13 = "13:Open Univeristy"
      14 = "14:Islamic School (Pondok Pensantren)"
      15 = "15:Kejar Paket C (Adult Education C)"
      17 = "17:School for the disabled"
      60 = "60:D1"
      61 = "61:University S1 (Bachelor)"
      62 = "62:University S2 (Masters)"
      63 = "63:University S3 (Ph.D)"
      72 = "72:Islamic Elementary School (Madrasah Ibtidaiyah)"
      73 = "73:Islamic Junior High School  (Madrasah Tsanawiyah)"
      74 = "74:Islamic Senior High School  (Madrasah Alliyah)"
      81 = "81:Junior Secondary School of Teaching"
      82 = "82:Senior Secondary School of Teaching"
      83 = "83:PGSLP"
      84 = "84:D1"
      85 = "85:UndergraduateTeaching Degree"
      90 = "90:Kindergarten"
      95 = "95:OTHER"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value KRP3_D_
      1 = "1:male"
      3 = "3:female"
      9 = "9:MISSING"
   ;
   value KRP4_D_
      0 = "0:Never Completed Class 1"
      1 = "1"
      2 = "2"
      3 = "3"
      4 = "4"
      5 = "5"
      6 = "6"
      7 = "7:Graduated"
      96 = "96:No school"
      98 = "98:DONT KNOW"
      99 = "99:MISSING"
   ;
   value KRP5MTH_D_
      1 = "1:january"
      2 = "2:february"
      3 = "3:march"
      4 = "4:april"
      5 = "5:may"
      6 = "6:june"
      7 = "7:july"
      8 = "8:august"
      9 = "9:september"
      10 = "10:october"
      11 = "11:november"
      12 = "12:december"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value KRP5X_D_
      1 = "1:yes"
      6 = "6:Dont live in the village/ township"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value KRP5YR_D_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value KRP6_D_
      1 = "1:Elected"
      2 = "2:Appointed by Government / Education District Office"
      3 = "3:Appointed byFoundation"
      5 = "5:Other"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value D1TYPE_
      1 = "1:grade 1"
      2 = "2:grade 2"
      3 = "3:grade 3"
      4 = "4:grade 4"
      5 = "5:grade 5"
      6 = "6:grade 6"
   ;
   value D21_
      1 = "1:yes"
      3 = "3:no --> D23"
      6 = "6:not applicable"
      9 = "9:MISSING"
   ;
   value D22_
      1 = "1:yes"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value D23_
      1 = "1:Assigned by the school to do other task"
      2 = "2:Assigned by the Dinas todo other task"
      3 = "3:On leave/vacation"
      4 = "4:Sick"
      5 = "5:Family is sick"
      6 = "6:Other authorized absence"
      7 = "7:Late"
      8 = "8:Absent  without authorization"
      9 = "9:MISSING"
   ;
   value D24_
      1 = "1:yes"
      3 = "3:no --> D26"
      6 = "6:not applicable"
      9 = "9:MISSING"
   ;
   value D25_
      1 = "1:yes"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value D26_
      1 = "1:Assigned by the school to do other task"
      2 = "2:Assigned by the Dinas todo other task"
      3 = "3:On leave/vacation"
      4 = "4:Sick"
      5 = "5:Family is sick"
      6 = "6:Other authorized absence"
      7 = "7:Late"
      8 = "8:Absent  without authorization"
      9 = "9:MISSING"
   ;
   value D2TYPE_
      1 = "1:grade 1/7/10"
      2 = "2:grade 2/8/11"
      3 = "3:grade 3/9/12"
   ;
   value G00_
      1 = "1:elementary school"
      2 = "2:junior high - General/ senior high - General/ junior high - vocational"
   ;
   value KRP1A_G_
      1 = "1:principal"
      2 = "2:Deputy head of curriculum"
      3 = "3:deputy chief of pulic relation"
      4 = "4:deputy head of student affairs"
      5 = "5:deputy head of infrastructure and facilities"
      6 = "6:head of administrative and financial affairs"
      7 = "7:deputy head of other affairs"
      8 = "8:Homeroom Teacher"
      95 = "95:Other"
      99 = "99:MISSING"
   ;
   value KRP2AMTH_G_
      1 = "1:january"
      2 = "2:february"
      3 = "3:march"
      4 = "4:april"
      5 = "5:may"
      6 = "6:june"
      7 = "7:july"
      8 = "8:august"
      9 = "9:september"
      10 = "10:october"
      11 = "11:november"
      12 = "12:december"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value KRP2AYR_G_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value KRP2_G_
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value KRP3A_G_
      1 = "1:No school/not yet in school"
      2 = "2:elementary school"
      3 = "3:junior high - General"
      4 = "4:junior high - Vocational"
      5 = "5:High School - General"
      6 = "6:High School - Vocational"
      11 = "11:kejar Paket A (Adult Education A)"
      12 = "12:Kejar Paket B (Adult Education B)"
      13 = "13:Open Univeristy"
      14 = "14:Islamic School (Pondok Pensantren)"
      15 = "15:Kejar Paket C (Adult Education C)"
      17 = "17:School for the disabled"
      60 = "60:D1"
      61 = "61:University S1 (Bachelor)"
      62 = "62:University S2 (Masters)"
      63 = "63:University S3 (Ph.D)"
      72 = "72:Islamic Elementary School (Madrasah Ibtidaiyah)"
      73 = "73:Islamic Junior High School  (Madrasah Tsanawiyah)"
      74 = "74:Islamic Senior High School  (Madrasah Alliyah)"
      81 = "81:Junior Secondary School of Teaching"
      82 = "82:Senior Secondary School of Teaching"
      83 = "83:PGSLP"
      84 = "84:D1"
      85 = "85:UndergraduateTeaching Degree"
      90 = "90:Kindergarten"
      95 = "95:OTHER"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value KRP3_G_
      1 = "1:male"
      3 = "3:female"
      9 = "9:MISSING"
   ;
   value KRP4_G_
      0 = "0:Never Completed Class 1"
      1 = "1"
      2 = "2"
      3 = "3"
      4 = "4"
      5 = "5"
      6 = "6"
      7 = "7:Graduated"
      96 = "96:No school"
      98 = "98:DONT KNOW"
      99 = "99:MISSING"
   ;
   value KRP5MTH_G_
      1 = "1:january"
      2 = "2:february"
      3 = "3:march"
      4 = "4:april"
      5 = "5:may"
      6 = "6:june"
      7 = "7:july"
      8 = "8:august"
      9 = "9:september"
      10 = "10:october"
      11 = "11:november"
      12 = "12:december"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value KRP5X_G_
      1 = "1:yes"
      6 = "6:Dont live in the village/ township"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value KRP5YR_G_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value KRP6_G_
      1 = "1:Elected"
      2 = "2:Appointed by Government / Education District Office"
      3 = "3:Appointed byFoundation"
      5 = "5:Other"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value G1X_
      1 = "1:grade 1"
      2 = "2:grade 2"
      3 = "3:grade 3"
      4 = "4:grade 4"
      5 = "5:grade 5"
      6 = "6:grade 6"
   ;
   value G1X_
      1 = "1:grade 1"
      2 = "2:grade 2"
      3 = "3:grade 3"
      4 = "4:grade 4"
      5 = "5:grade 5"
      6 = "6:grade 6"
   ;
   value G6X_
      1 = "1:BELOW DIPLOMA 1"
      2 = "2:DIPLOMA 1"
      3 = "3:DIPLOMA 2"
      4 = "4:DIPLOMA 3"
      5 = "5:BACHELOR DEGREE"
      6 = "6:HIGHER THAN BACHELOR DEGREE"
   ;
   value H1_D_
      1 = "1:ya"
      3 = "3:no -->H4"
      9 = "9:MISSING"
   ;
   value H2A_D_
      1 = "1:ya"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value H2B_D_
      1 = "1:ya"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value H2C_D_
      1 = "1:ya"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value H2D_D_
      1 = "1:ya"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value H2E_D_
      1 = "1:ya"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value H3A_D_
      1 = "1:ya"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value H3B_D_
      1 = "1:ya"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value H3C_D_
      1 = "1:ya"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value H3D_D_
      1 = "1:ya"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value H3E_D_
      1 = "1:ya"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value H4_D_
      1 = "1:ya"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value INTRO_D1_
      9 = "9:interview is Not completed"
   ;
   value INTRO_D2_
      9 = "9:interview is Not completed"
   ;
   value SCHD_MOVER_
      0 = "0:CANCEL"
      1 = "1:Cover"
      2 = "2:D section"
      3 = "3:G section"
      4 = "4:H section"
      5 = "5:CP section"
   ;
   value BEGHR_COV_SCHD_
      99 = "99:missing"
   ;
   value BEGHR_CP_SCHD_
      99 = "99:missing"
   ;
   value BEGHR_D_SCHD_
      99 = "99:missing"
   ;
   value BEGHR_G_SCHD_
      99 = "99:missing"
   ;
   value BEGHR_H_SCHD_
      99 = "99:missing"
   ;
   value BEGHR_SCHD_
      99 = "99:missing"
   ;
   value BEGMIN_COV_SCHD_
      99 = "99:missing"
   ;
   value BEGMIN_CP_SCHD_
      99 = "99:missing"
   ;
   value BEGMIN_D_SCHD_
      99 = "99:missing"
   ;
   value BEGMIN_G_SCHD_
      99 = "99:missing"
   ;
   value BEGMIN_H_SCHD_
      99 = "99:missing"
   ;
   value BEGMIN_SCHD_
      99 = "99:missing"
   ;
   value ENDHR_COV_SCHD_
      99 = "99:missing"
   ;
   value ENDHR_CP_SCHD_
      99 = "99:missing"
   ;
   value ENDHR_D_SCHD_
      99 = "99:missing"
   ;
   value ENDHR_G_SCHD_
      99 = "99:missing"
   ;
   value ENDHR_H_SCHD_
      99 = "99:missing"
   ;
   value ENDHR_SCHD_
      99 = "99:missing"
   ;
   value ENDMIN_COV_SCHD_
      99 = "99:missing"
   ;
   value ENDMIN_CP_SCHD_
      99 = "99:missing"
   ;
   value ENDMIN_D_SCHD_
      99 = "99:missing"
   ;
   value ENDMIN_G_SCHD_
      99 = "99:missing"
   ;
   value ENDMIN_H_SCHD_
      99 = "99:missing"
   ;
   value ENDMIN_SCHD_
      99 = "99:missing"
   ;
   value IVWMTH_SCHD_
      1 = "1:january"
      2 = "2:february"
      3 = "3:march"
      4 = "4:april"
      5 = "5:may"
      6 = "6:june"
      7 = "7:july"
      8 = "8:august"
      9 = "9:september"
      10 = "10:october"
      11 = "11:november"
      12 = "12:december"
      98 = "98:DON'T KNOW"
      99 = "99:Missing"
   ;
   value MODE_SCHD_
      1 = "1:Entry"
      2 = "2:Modif"
      3 = "3:Verify"
   ;
   value PARTIAL_SCHD_
      1 = "1:Partial save"
      2 = "2:Complete"
   ;
   run;
