proc format;
   value CK1B1B_
      0 = "0. Indonesian"
      1 = "1. Javanese"
      2 = "2. Sundanese"
      3 = "3. Balinese"
      4 = "4. Batak"
      5 = "5. Bugis"
      6 = "6. Chinese"
      7 = "7. Maduranese"
      8 = "8. Sasak"
      9 = "9. Minang"
      10 = "10. Banjar"
      11 = "11. Bima"
      12 = "12. Makasar"
      13 = "13. Nias"
      14 = "14. Palembang"
      15 = "15. Sumbawa"
      16 = "16. Toraja"
      17 = "17. Lahat"
      18 = "18. Other South Sumatra"
      19 = "19. Betawi"
      20 = "20. Lampung"
      21 = "21. Portugal"
      95 = "95. Other"
      96 = "96. No other"
      99 = "99. Missing"
   ;
   value CK2B1B_
      0 = "0. Indonesian"
      1 = "1. Javanese"
      2 = "2. Sundanese"
      3 = "3. Balinese"
      4 = "4. Batak"
      5 = "5. Bugis"
      6 = "6. Chinese"
      7 = "7. Maduranese"
      8 = "8. Sasak"
      9 = "9. Minang"
      10 = "10. Banjar"
      11 = "11. Bima"
      12 = "12. Makasar"
      13 = "13. Nias"
      14 = "14. Palembang"
      15 = "15. Sumbawa"
      16 = "16. Toraja"
      17 = "17. Lahat"
      18 = "18. Other South Sumatra"
      19 = "19. Betawi"
      20 = "20. Lampung"
      95 = "95. Other"
      96 = "96. No other"
      99 = "99. Missing"
   ;
   value COV00B1_B_
      1 = "1:Interviewed"
      3 = "3:Not interviewed"
   ;
   value COV1X_
      1 = "1:Yes -->CK1"
      3 = "3:No"
   ;
   value FP3_
      1 = "1. Completed"
      2 = "2. Partially completed"
      3 = "3. Not completed"
      4 = "4. Twin EA"
   ;
   value FP4_
      1 = "1. Resp. not at home/did not found"
      2 = "2. Resp. was too busy"
      3 = "3. Resp. refused"
      6 = "6. NOT APPLICABLE"
   ;
   value FP6A_
      1 = "1. Yes"
      3 = "3. No"
      9 = "9. Missing"
   ;
   value FP6B_
      1 = "1. Yes"
      3 = "3. No"
      9 = "9. Missing"
   ;
   value FP6C_
      1 = "1. Yes"
      3 = "3. No"
      9 = "9. Missing"
   ;
   value B1B_MOVER_
      0 = "0:Cancel"
      1 = "1:Cover"
      2 = "2:Section G (saving and borrowing"
      3 = "3:Section I (presence of school facility)"
      4 = "4:Section J (presence of health facility)"
      5 = "5:Section KPMD ( citizen facility)"
      6 = "6:Section SW (subjective well being)"
      7 = "7:Section CP (enumerator note)"
   ;
   value INTRO_G1_
      1 = "1:Interview continued"
      9 = "9:Interview stopped"
   ;
   value INTRO_I1_
      1 = "1:Interview continued"
      9 = "9:Interview stopped"
   ;
   value INTRO_J1_
      1 = "1:Interview continued"
      9 = "9:Interview stopped"
   ;
   value INTRO_PMKD1_
      1 = "1:Interview continued"
      9 = "9:Interview stopped"
   ;
   value INTRO_SW1_
      1 = "1:Interview continued"
      9 = "9:Interview stopped"
   ;
   value G3A_
      1 = "1:in the village -->G3C"
      3 = "3:outside the village"
      6 = "6:None"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value G3BX_
      1 = "1:Yes"
      3 = "3:Very far"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value $G3C_
      'A' = "A:saving account"
      'B' = "B:checking account"
      'C' = "C:deposit certificate"
      'D' = "D:letter of credit"
      'E' = "E:bussines loan"
      'F' = "F:vehicle loan"
      'G' = "G:house loan"
      'H' = "H:personal loan"
      'I' = "I:health/life insurance"
      'J' = "J:micro credit"
      'W' = "W:not applicable"
      'Y' = "Y:DON'T KNOW"
      'Z' = "Z:MISSING"
   ;
   value GTYPE_
      1 = "1:BRI (BANK RAKYAT INDONESIA"
      2 = "2:BPR ( PEOPLE CREDIT BANK)"
      3 = "3:LKD (VILLAGE CREDIT INSTITUTION)"
      4 = "4:KUD (VILLAGE UNIT COOPERATIVE"
      5 = "5:other formal cooperative"
      6 = "6:state/private bank"
      7 = "7:Baitul Maal Wat Tamwil (BMT)"
      8 = "8:syariah/islamic Bank"
      9 = "9:insurance company (investment)"
      10 = "10:pawning company"
   ;
   value G6A_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value G6C_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value IR1A_G_
      1 = "1:Village/township head"
      2 = "2:Village secretary"
      3 = "3:Head of goverment administration"
      4 = "4:Head of village development"
      5 = "5:Head of welfare"
      6 = "6:Head of financial matters"
      7 = "7:Head of general affairs"
      95 = "95:Other"
      99 = "99:MISSING"
   ;
   value IR2AMTH_G_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR2AYR_G_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value IR3A_G_
      1 = "1:No school/not yet in school"
      2 = "2:Elementary school"
      3 = "3:Junior High - General"
      4 = "4:Junior High - Vocational"
      5 = "5:High School - General"
      6 = "6:High School - Vocational"
      11 = "11:KejarPaket A (Adult Education A)"
      12 = "12:KejarPaket B (Adult Education B)"
      13 = "13:Open Univeristy"
      14 = "14:Islamic School"
      15 = "15:KejarPaket C (Adult Education C)"
      17 = "17:School for the disabled"
      60 = "60:D1 (Junior College)"
      61 = "61:University S1 (Bachelor)"
      62 = "62:University S2 (Masters)"
      63 = "63:University S3 (Ph.D.)"
      72 = "72:Islamic Elementary School (Madrasah Ibtidaiyah)"
      73 = "73:Islamic Junior High School  (Madrasah Tsanawiyah)"
      74 = "74:Islamic Senior High School  (Madrasah Alliyah)"
      90 = "90:Kindergarten"
      95 = "95:Other"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR3_G_
      1 = "1:Male"
      3 = "3:Female"
      9 = "9:MISSING"
   ;
   value IR4_G_
      0 = "0:Never completed class 1"
      1 = "1"
      2 = "2"
      3 = "3"
      4 = "4"
      5 = "5"
      6 = "6"
      7 = "7:Graduated"
      96 = "96:No school"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR5MTH_G_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR5X_G_
      1 = "1:Yes"
      3 = "3:Since birth"
      6 = "6:Dont live in the village/ township"
      9 = "9:MISSING"
   ;
   value IR5YR_G_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value IR6_G_
      1 = "1:Elected"
      2 = "2:Appointed by residence"
      3 = "3:Appointed by camat"
      4 = "4:Appointed by bupati/walikota"
      5 = "5:Other"
      9 = "9:MISSING"
   ;
   value IR1A_I_
      1 = "1:Village/township head"
      2 = "2:Village secretary"
      3 = "3:Head of goverment administration"
      4 = "4:Head of village development"
      5 = "5:Head of welfare"
      6 = "6:Head of financial matters"
      7 = "7:Head of general affairs"
      95 = "95:Other"
      99 = "99:MISSING"
   ;
   value IR2AMTH_I_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR2AYR_I_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value IR3A_I_
      1 = "1:No school/not yet in school"
      2 = "2:Elementary school"
      3 = "3:Junior High - General"
      4 = "4:Junior High - Vocational"
      5 = "5:High School - General"
      6 = "6:High School - Vocational"
      11 = "11:KejarPaket A (Adult Education A)"
      12 = "12:KejarPaket B (Adult Education B)"
      13 = "13:Open Univeristy"
      14 = "14:Islamic School"
      15 = "15:KejarPaket C (Adult Education C)"
      17 = "17:School for the disabled"
      60 = "60:D1 (Junior College)"
      61 = "61:University S1 (Bachelor)"
      62 = "62:University S2 (Masters)"
      63 = "63:University S3 (Ph.D.)"
      72 = "72:Islamic Elementary School (Madrasah Ibtidaiyah)"
      73 = "73:Islamic Junior High School  (Madrasah Tsanawiyah)"
      74 = "74:Islamic Senior High School  (Madrasah Alliyah)"
      90 = "90:Kindergarten"
      95 = "95:Other"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR3_I_
      1 = "1:Male"
      3 = "3:Female"
      9 = "9:MISSING"
   ;
   value IR4_I_
      0 = "0:Never completed class 1"
      1 = "1"
      2 = "2"
      3 = "3"
      4 = "4"
      5 = "5"
      6 = "6"
      7 = "7:Graduated"
      96 = "96:No school"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR5MTH_I_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR5X_I_
      1 = "1:Yes"
      3 = "3:Since birth"
      6 = "6:Dont live in the village/ township"
      9 = "9:MISSING"
   ;
   value IR5YR_I_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value IR6_I_
      1 = "1:Elected"
      2 = "2:Appointed by residence"
      3 = "3:Appointed by camat"
      4 = "4:Appointed by bupati/walikota"
      5 = "5:Other"
      9 = "9:MISSING"
   ;
   value I13_
      99 = "99:MISSING"
   ;
   value I13X_
      1 = "1:Yes"
      6 = "6:none"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value I14A_1_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_10_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_11_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_12_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_13_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_14_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_15_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_16_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_17_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_18_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_19_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_2_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_20_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_21_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_22_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_23_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_24_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_25_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_26_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_27_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_28_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_29_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_30_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_31_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_32_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_33_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_34_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_35_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_36_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_37_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_38_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_39_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_4_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_40_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_41_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_42_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_43_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_44_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_45_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_46_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_47_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_48_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_49_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_5_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_50_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_51_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_52_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_53_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_54_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_55_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_56_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_57_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_58_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_59_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_6_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_60_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_7_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_8_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14A_9_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value I14B_1_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_10_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_11_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_12_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_13_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_14_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_15_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_16_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_17_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_18_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_19_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_2_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_20_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_21_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_22_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_23_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_24_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_25_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_26_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_27_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_28_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_29_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_3_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_30_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_31_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_32_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_33_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_34_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_35_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_36_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_37_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_38_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_39_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_4_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_40_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_41_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_42_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_43_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_44_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_45_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_46_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_47_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_48_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_49_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_5_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_50_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_51_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_52_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_53_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_54_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_55_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_56_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_57_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_58_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_59_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_6_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_60_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_7_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_8_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14B_9_
      1 = "1:playgroup"
      2 = "2:kindergarten"
      9 = "9:MISSING"
   ;
   value I14_A3_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
   ;
   value IR1A_J_
      1 = "1:Village/township head"
      2 = "2:Village secretary"
      3 = "3:Head of goverment administration"
      4 = "4:Head of village development"
      5 = "5:Head of welfare"
      6 = "6:Head of financial matters"
      7 = "7:Head of general affairs"
      95 = "95:Other"
      99 = "99:MISSING"
   ;
   value IR2AMTH_J_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR2AYR_J_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value IR3A_J_
      1 = "1:No school/not yet in school"
      2 = "2:Elementary school"
      3 = "3:Junior High - General"
      4 = "4:Junior High - Vocational"
      5 = "5:High School - General"
      6 = "6:High School - Vocational"
      11 = "11:KejarPaket A (Adult Education A)"
      12 = "12:KejarPaket B (Adult Education B)"
      13 = "13:Open Univeristy"
      14 = "14:Islamic School"
      15 = "15:KejarPaket C (Adult Education C)"
      17 = "17:School for the disabled"
      60 = "60:D1 (Junior College)"
      61 = "61:University S1 (Bachelor)"
      62 = "62:University S2 (Masters)"
      63 = "63:University S3 (Ph.D.)"
      72 = "72:Islamic Elementary School (Madrasah Ibtidaiyah)"
      73 = "73:Islamic Junior High School  (Madrasah Tsanawiyah)"
      74 = "74:Islamic Senior High School  (Madrasah Alliyah)"
      90 = "90:Kindergarten"
      95 = "95:Other"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR3_J_
      1 = "1:Male"
      3 = "3:Female"
      9 = "9:MISSING"
   ;
   value IR4_J_
      0 = "0:Never completed class 1"
      1 = "1"
      2 = "2"
      3 = "3"
      4 = "4"
      5 = "5"
      6 = "6"
      7 = "7:Graduated"
      96 = "96:No school"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR5MTH_J_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR5X_J_
      1 = "1:Yes"
      3 = "3:Since birth"
      6 = "6:Dont live in the village/ township"
      9 = "9:MISSING"
   ;
   value IR5YR_J_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value IR6_J_
      1 = "1:Elected"
      2 = "2:Appointed by residence"
      3 = "3:Appointed by camat"
      4 = "4:Appointed by bupati/walikota"
      5 = "5:Other"
      9 = "9:MISSING"
   ;
   value J10A_
      1 = "1:Yes -->J10B"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value J10A1_
      1 = "1:Yes"
      3 = "3:no -->J11"
      9 = "9:MISSING"
   ;
   value J10A2MTH_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value J10A2X_
      1 = "1:Yes--J10C"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value J10A2YR_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value J10B_
      99 = "99:MISSING"
   ;
   value J10BX_
      1 = "1:Yes"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value J10C_
      9999 = "9999:MISSING"
   ;
   value J10CX_
      1 = "1:Yes--J10E"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value J10D_
      99 = "99:MISSING"
   ;
   value J10DX_
      1 = "1:Yes"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value $J10E_
      'A' = "A:none"
      'B' = "B:housing"
      'C' = "C:food"
      'D' = "D:a place to practice"
      'E' = "E:cash"
      'V' = "V:other"
      'Z' = "Z:MISSING"
   ;
   value J10HAX_
      1 = "1:Filled"
      3 = "3:Same as EA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value J10HBX_
      1 = "1:Filled"
      3 = "3:Same as EA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value J10HCX_
      1 = "1:Filled"
      3 = "3:Same as EA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value J10HDX_
      1 = "1:Filled"
      3 = "3:Same as EA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value J11_
      99 = "99:MISSING"
   ;
   value J11X_
      1 = "1:Yes"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value J13_
      999 = "999:MISSING"
   ;
   value J13A_
      1 = "1:Yes"
      2 = "2:no"
      3 = "3:no change"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value J13X_
      1 = "1:Yes"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value J19_
      1 = "1:Yes"
      3 = "3:no-->J11"
      9 = "9:MISSING"
   ;
   value J19A_
      9999 = "9999:MISSING"
   ;
   value J19AX_
      1 = "1:Yes --> J19C"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value J19B_
      99 = "99:MISSING"
   ;
   value J19BX_
      1 = "1:Yes"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value J19C_
      99 = "99:MISSING"
   ;
   value J19CX_
      1 = "1:Yes"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value J20_
      1 = "1:Yes"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value J21A_
      1 = "1:Yes"
      3 = "3:no --> J22A"
      9 = "9:MISSING"
   ;
   value J21B_
      99 = "99:MISSING"
   ;
   value J21BX_
      1 = "1:Yes"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value J21C_
      9999 = "9999:MISSING"
   ;
   value J21CX_
      1 = "1:Yes -->J22A"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value J21D_
      99 = "99:MISSING"
   ;
   value J21DX_
      1 = "1:Yes"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value J22A_
      1 = "1:Yes"
      3 = "3:no -->J20"
      9 = "9:MISSING"
   ;
   value J22B_
      99 = "99:MISSING"
   ;
   value J22BX_
      1 = "1:Yes"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value J22C_
      9999 = "9999:MISSING"
   ;
   value J22CX_
      1 = "1:Yes -->J20"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value J22D_
      99 = "99:MISSING"
   ;
   value J22DX_
      1 = "1:fill year"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value J24_
      1 = "1:Yes"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value J26_
      99 = "99:MISSING"
   ;
   value J26X_
      1 = "1:total facility"
      6 = "6:DON'T KNOW --> next column"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value J27A_1_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_10_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_11_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_12_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_13_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_14_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_15_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_16_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_17_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_18_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_19_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_2_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_20_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_21_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_22_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_23_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_24_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_25_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_26_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_27_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_28_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_29_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_3_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_30_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_31_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_32_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_33_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_34_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_35_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_36_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_37_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_38_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_39_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_4_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_40_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_41_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_42_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_43_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_44_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_45_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_46_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_47_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_48_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_49_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_5_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_50_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_51_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_52_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_53_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_54_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_55_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_56_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_57_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_58_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_59_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_6_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_60_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_7_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_8_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value J27A_9_
      1 = "1:IF IN THE VILLAGE"
      3 = "3:IF NOT IN THE VILLAGE"
      9 = "9:MISSING"
   ;
   value PMKD2_
      1 = "1:It is presently conducted on a routine basis"
      2 = "2:It has been conducted, but presently it is not conducted in a routine manner"
      3 = "3:It has never been conducted --> NEXT LINE"
      9 = "9:MISSING"
   ;
   value PMKD3A_
      9999 = "9999:MISSING"
   ;
   value PMKD3AX_
      1 = "1:Yes"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PMKD3B_
      9999 = "9999:MISSING"
   ;
   value PMKD3BX_
      1 = "1:Yes"
      3 = "3:Still being conducted"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PMKD4A_
      1 = "1:<25%"
      2 = "25-75%"
      3 = "3:>75%"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value IR1A_PMKD_
      1 = "1:Village/township head"
      2 = "2:Village secretary"
      3 = "3:Head of goverment administration"
      4 = "4:Head of village development"
      5 = "5:Head of welfare"
      6 = "6:Head of financial matters"
      7 = "7:Head of general affairs"
      95 = "95:Other"
      99 = "99:MISSING"
   ;
   value IR2AMTH_PMKD_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR2AYR_PMKD_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value IR3A_PMKD_
      1 = "1:No school/not yet in school"
      2 = "2:Elementary school"
      3 = "3:Junior High - General"
      4 = "4:Junior High - Vocational"
      5 = "5:High School - General"
      6 = "6:High School - Vocational"
      11 = "11:KejarPaket A (Adult Education A)"
      12 = "12:KejarPaket B (Adult Education B)"
      13 = "13:Open Univeristy"
      14 = "14:Islamic School"
      15 = "15:KejarPaket C (Adult Education C)"
      17 = "17:School for the disabled"
      60 = "60:D1 (Junior College)"
      61 = "61:University S1 (Bachelor)"
      62 = "62:University S2 (Masters)"
      63 = "63:University S3 (Ph.D.)"
      72 = "72:Islamic Elementary School (Madrasah Ibtidaiyah)"
      73 = "73:Islamic Junior High School  (Madrasah Tsanawiyah)"
      74 = "74:Islamic Senior High School  (Madrasah Alliyah)"
      90 = "90:Kindergarten"
      95 = "95:Other"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR3_PMKD_
      1 = "1:Male"
      3 = "3:Female"
      9 = "9:MISSING"
   ;
   value IR4_PMKD_
      0 = "0:Never completed class 1"
      1 = "1"
      2 = "2"
      3 = "3"
      4 = "4"
      5 = "5"
      6 = "6"
      7 = "7:Graduated"
      96 = "96:No school"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR5MTH_PMKD_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR5X_PMKD_
      1 = "1:Yes"
      3 = "3:Since birth"
      6 = "6:Dont live in the village/ township"
      9 = "9:MISSING"
   ;
   value IR5YR_PMKD_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value IR6_PMKD_
      1 = "1:Elected"
      2 = "2:Appointed by residence"
      3 = "3:Appointed by camat"
      4 = "4:Appointed by bupati/walikota"
      5 = "5:Other"
      9 = "9:MISSING"
   ;
   value IR1A_SW_
      1 = "1:Village/township head"
      2 = "2:Village secretary"
      3 = "3:Head of goverment administration"
      4 = "4:Head of village development"
      5 = "5:Head of welfare"
      6 = "6:Head of financial matters"
      7 = "7:Head of general affairs"
      95 = "95:Other"
      99 = "99:MISSING"
   ;
   value IR2AMTH_SW_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR2AYR_SW_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value IR3A_SW_
      1 = "1:No school/not yet in school"
      2 = "2:Elementary school"
      3 = "3:Junior High - General"
      4 = "4:Junior High - Vocational"
      5 = "5:High School - General"
      6 = "6:High School - Vocational"
      11 = "11:KejarPaket A (Adult Education A)"
      12 = "12:KejarPaket B (Adult Education B)"
      13 = "13:Open Univeristy"
      14 = "14:Islamic School"
      15 = "15:KejarPaket C (Adult Education C)"
      17 = "17:School for the disabled"
      60 = "60:D1 (Junior College)"
      61 = "61:University S1 (Bachelor)"
      62 = "62:University S2 (Masters)"
      63 = "63:University S3 (Ph.D.)"
      72 = "72:Islamic Elementary School (Madrasah Ibtidaiyah)"
      73 = "73:Islamic Junior High School  (Madrasah Tsanawiyah)"
      74 = "74:Islamic Senior High School  (Madrasah Alliyah)"
      90 = "90:Kindergarten"
      95 = "95:Other"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR3_SW_
      1 = "1:Male"
      3 = "3:Female"
      9 = "9:MISSING"
   ;
   value IR4_SW_
      0 = "0:Never completed class 1"
      1 = "1"
      2 = "2"
      3 = "3"
      4 = "4"
      5 = "5"
      6 = "6"
      7 = "7:Graduated"
      96 = "96:No school"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR5MTH_SW_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR5X_SW_
      1 = "1:Yes"
      3 = "3:Since birth"
      6 = "6:Dont live in the village/ township"
      9 = "9:MISSING"
   ;
   value IR5YR_SW_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value IR6_SW_
      1 = "1:Elected"
      2 = "2:Appointed by residence"
      3 = "3:Appointed by camat"
      4 = "4:Appointed by bupati/walikota"
      5 = "5:Other"
      9 = "9:MISSING"
   ;
   value SW01_
      1 = "1:Poorest"
      2 = "2"
      3 = "3"
      4 = "4"
      5 = "5"
      6 = "6:Richest"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value SW02_
      1 = "1:Poorest"
      2 = "2"
      3 = "3"
      4 = "4"
      5 = "5"
      6 = "6:Richest"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value SW03_
      1 = "1:Poorest"
      2 = "2"
      3 = "3"
      4 = "4"
      5 = "5"
      6 = "6:Richest"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value MODE_B1B_
      1 = "1:Entry"
      2 = "2:Modification"
      3 = "3:Verification"
   ;
   value PARTIAL_B1B_
      1 = "1:Partial save"
      2 = "2:Complete"
   ;
   run;
