proc format;
   value CK1B1_C_
      0 = "0. Indonesian"
      1 = "1. Javanese"
      2 = "2. Sundanese"
      3 = "3. Balinese"
      4 = "4. Batak"
      5 = "5. Bugis"
      6 = "6. Chinese"
      7 = "7. Maduranese"
      8 = "8. Sasak"
      9 = "9. Minang"
      10 = "10. Banjar"
      11 = "11. Bima"
      12 = "12. Makasar"
      13 = "13. Nias"
      14 = "14. Palembang"
      15 = "15. Sumbawa"
      16 = "16. Toraja"
      17 = "17. Lahat"
      18 = "18. Other South Sumatra"
      19 = "19. Betawi"
      20 = "20. Lampung"
      21 = "21. Portugal"
      95 = "95. Other"
      96 = "96. No other"
      99 = "99. Missing"
   ;
   value CK2B1_C_
      0 = "0. Indonesian"
      1 = "1. Javanese"
      2 = "2. Sundanese"
      3 = "3. Balinese"
      4 = "4. Batak"
      5 = "5. Bugis"
      6 = "6. Chinese"
      7 = "7. Maduranese"
      8 = "8. Sasak"
      9 = "9. Minang"
      10 = "10. Banjar"
      11 = "11. Bima"
      12 = "12. Makasar"
      13 = "13. Nias"
      14 = "14. Palembang"
      15 = "15. Sumbawa"
      16 = "16. Toraja"
      17 = "17. Lahat"
      18 = "18. Other South Sumatra"
      19 = "19. Betawi"
      20 = "20. Lampung"
      95 = "95. Other"
      96 = "96. No other"
      99 = "99. Missing"
   ;
   value COV00B1_C_
      1 = "1:Interviewed"
      3 = "3:Not interviewed"
   ;
   value COV1X_C_
      1 = "1:Yes --> CK1"
      3 = "3:No"
   ;
   value FP3_C_
      1 = "1. Completed"
      2 = "2. Partially completed"
      3 = "3. Not completed"
      4 = "4. Twin EA"
      9 = "9. MISSING"
   ;
   value FP4_C_
      1 = "1. Resp. not at home/did not found"
      2 = "2. Resp. was too busy"
      3 = "3. Resp. refused"
      6 = "6. NA"
   ;
   value FP6A_C_
      1 = "1. Yes"
      3 = "3. No"
      9 = "9. Missing"
   ;
   value FP6B_C_
      1 = "1. Yes"
      3 = "3. No"
      9 = "9. Missing"
   ;
   value FP6C_C_
      1 = "1. Yes"
      3 = "3. No"
      9 = "9. Missing"
   ;
   value B1C_MOVER_
      0 = "0:Cancel"
      1 = "1:Cover"
      2 = "2:Section PAP (proverty alleviation program)"
      3 = "3:Section PPS ( perception on public services and infrastructure)"
      4 = "4:Section GD (government and decentralization)"
      5 = "5:Section TR ( trust)"
      6 = "6:Section CP (interviewer notes)"
   ;
   value $DUMMY_PAP1TYPE_
      '.1 ' = " :jamkesda ( regional helth insurance)"
      '.2 ' = " :jamkesmas ( public health insurance)"
      '.2A' = " :jampersal ( delivery insurance )"
      '.2B' = " :jkn ( national health insurance)"
      '.3 ' = " :raskin ( rice for the poor)"
      '.4 ' = " :market operation for rice"
      '.5 ' = " :market operation for other goods"
      '.6 ' = " :pkps bbm - slt ( unconditional cash transfer)"
      '.7 ' = " :keluarga harapan ( conditional cash transfer)"
      '.8 ' = " :pnpm mandiri"
      '.9 ' = " :blsm ( direct cash assistance for the people)"
      '.10' = " :bsm ( cash transfer for poor student)"
      '.11' = " :askeskos ( social welfare insurance )"
      '.12' = " :ppa-pkh ( child labor reduction-conditional cash tranfer)"
      '.13' = " :jspaca/jsodk (disabled social insurance/ severe disabled social insurance)"
      '.14' = " :jslu/aslut (elderly social insurance)"
      '.15' = " :kube/uep (joint enterprise group/productive economic enterprise)"
      '.16' = " :rtlh (renovation program for home unfit for habitation/house renovation)"
      '.17' = " :pksa (children social welfare program)"
      '.18' = " :kps (social security card)"
   ;
   value INTRO_GD1_
      1 = "1:Interview continued"
      9 = "9:Interview stopped"
   ;
   value INTRO_PAP1_
      1 = "1:Interview continued"
      9 = "9:Interview stopped"
   ;
   value INTRO_PAP10_
      1 = "1:Interview continued"
      9 = "9:Interview stopped"
   ;
   value INTRO_PAP11_
      1 = "1:Interview continued"
      9 = "9:Interview stopped"
   ;
   value INTRO_PAP12_
      1 = "1:Interview continued"
      9 = "9:Interview stopped"
   ;
   value INTRO_PAP13_
      1 = "1:Interview continued"
      9 = "9:Interview stopped"
   ;
   value INTRO_PAP14_
      1 = "1:Interview continued"
      9 = "9:Interview stopped"
   ;
   value INTRO_PAP15_
      1 = "1:Interview continued"
      9 = "9:Interview stopped"
   ;
   value INTRO_PAP2_
      1 = "1:Interview continued"
      9 = "9:Interview stopped"
   ;
   value INTRO_PAP3_
      1 = "1:Interview continued"
      9 = "9:Interview stopped"
   ;
   value INTRO_PAP4_
      1 = "1:Interview continued"
      9 = "9:Interview stopped"
   ;
   value INTRO_PAP5_
      1 = "1:Interview continued"
      9 = "9:Interview stopped"
   ;
   value INTRO_PAP6_
      1 = "1:Interview continued"
      9 = "9:Interview stopped"
   ;
   value INTRO_PAP7_
      1 = "1:Interview continued"
      9 = "9:Interview stopped"
   ;
   value INTRO_PAP8_
      1 = "1:Interview continued"
      9 = "9:Interview stopped"
   ;
   value INTRO_PAP9_
      1 = "1:Interview continued"
      9 = "9:Interview stopped"
   ;
   value INTRO_PPS1_
      1 = "1:Interview continued"
      9 = "9:Interview stopped"
   ;
   value INTRO_TR1_
      1 = "1:Interview continued"
      9 = "9:Interview stopped"
   ;
   value INTRO_TR2_
      1 = "1:Interview continued"
      9 = "9:Interview stopped"
   ;
   value INTRO_TR3_
      1 = "1:Interview continued"
      9 = "9:Interview stopped"
   ;
   value GD10_MTH_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value GD10_YR_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value $GD11_
      'A' = "A:community meetings and village governments"
      'B' = "B:formed by the village head"
      'C' = "C:formed by BPD"
      'V' = "V:other"
      'Z' = "Z:MISSING"
   ;
   value $GD12_
      'A' = "A:service"
      'B' = "B:nine essential commodites distribution"
      'C' = "C:agricultural products trade"
      'D' = "D:smaal industrial and household industries"
      'V' = "V:other"
      'Z' = "Z:MISSING"
   ;
   value GD2_
      1 = "1:Yes"
      3 = "3:no --> GD04"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value $GD3_
      'A' = "A:planning"
      'B' = "B:construction"
      'C' = "C:control/supervision"
      'D' = "D:maintainance"
      'V' = "V:other"
      'Y' = "Y:DON'T KNOW"
   ;
   value GD4_
      1 = "1:request through the sub district office"
      2 = "2:request through the district office"
      3 = "3:request through the province office"
      6 = "6:no mechanism"
      95 = "95:other"
      99 = "99:MISSING"
   ;
   value $GD5_
      'A' = "A:village"
      'B' = "B:kabupaten/kota"
      'C' = "C:bupati/walikota"
      'D' = "D:local parlieament/DPRD"
      'V' = "V:other"
      'Z' = "Z:MISSING"
   ;
   value GD6_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value GD7_
      1 = "1:much better"
      2 = "2:better"
      3 = "3:same"
      4 = "4:worse"
      5 = "5:much worse"
      6 = "6:NA"
      9 = "9:MISSING"
   ;
   value $GD8_
      'A' = "A:more uncertainties"
      'B' = "B:disbursement takes a long time"
      'C' = "C:inadequate funds"
      'D' = "D:problems/delays in reimbursements"
      'E' = "E:reallocation between expenditure posts not flexible"
      'V' = "V:other"
   ;
   value GD9_
      1 = "1:Yes"
      3 = "3:No --> section TR"
      9 = "9:MISSING"
   ;
   value IR1A_GD_
      1 = "1:Village/township head"
      2 = "2:Village secretary"
      3 = "3:Head of goverment administration"
      4 = "4:Head of village development"
      5 = "5:Head of welfare"
      6 = "6:Head of financial matters"
      7 = "7:Head of general affairs"
      95 = "95:Other"
      99 = "99:MISSING"
   ;
   value IR2AMTH_GD_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR2AYR_GD_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value IR3A_GD_
      1 = "1:No school/not yet in school"
      2 = "2:Elementary school"
      3 = "3:Junior High - General"
      4 = "4:Junior High - Vocational"
      5 = "5:High School - General"
      6 = "6:High School - Vocational"
      11 = "11:KejarPaket A (Adult Education A)"
      12 = "12:KejarPaket B (Adult Education B)"
      13 = "13:Open Univeristy"
      14 = "14:Islamic School"
      15 = "15:KejarPaket C (Adult Education C)"
      17 = "17:School for the disabled"
      60 = "60:D1 (Junior College)"
      61 = "61:University S1 (Bachelor)"
      62 = "62:University S2 (Masters)"
      63 = "63:University S3 (Ph.D.)"
      72 = "72:Islamic Elementary School (Madrasah Ibtidaiyah)"
      73 = "73:Islamic Junior High School  (Madrasah Tsanawiyah)"
      74 = "74:Islamic Senior High School  (Madrasah Alliyah)"
      90 = "90:Kindergarten"
      95 = "95:Other"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR3_GD_
      1 = "1:Male"
      3 = "3:Female"
      9 = "9:MISSING"
   ;
   value IR4_GD_
      0 = "0:Never completed class 1"
      1 = "1"
      2 = "2"
      3 = "3"
      4 = "4"
      5 = "5"
      6 = "6"
      7 = "7:Graduated"
      96 = "96:No school"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR5MTH_GD_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR5X_GD_
      1 = "1:Yes"
      3 = "3:Since birth"
      6 = "6:Dont live in the village/ township"
      9 = "9:MISSING"
   ;
   value IR5YR_GD_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value IR6_GD_
      1 = "1:Elected"
      2 = "2:Appointed by residence"
      3 = "3:Appointed by camat"
      4 = "4:Appointed by bupati/walikota"
      5 = "5:OTHER"
      9 = "9:MISSING"
   ;
   value IR1A_PAP_
      1 = "1:Village/township head"
      2 = "2:Village secretary"
      3 = "3:Head of goverment administration"
      4 = "4:Head of village development"
      5 = "5:Head of welfare"
      6 = "6:Head of financial matters"
      7 = "7:Head of general affairs"
      95 = "95:Other"
      99 = "99:MISSING"
   ;
   value IR2AMTH_PAP_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR2AYR_PAP_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value IR3A_PAP_
      1 = "1:No school/not yet in school"
      2 = "2:Elementary school"
      3 = "3:Junior High - General"
      4 = "4:Junior High - Vocational"
      5 = "5:High School - General"
      6 = "6:High School - Vocational"
      11 = "11:KejarPaket A (Adult Education A)"
      12 = "12:KejarPaket B (Adult Education B)"
      13 = "13:Open Univeristy"
      14 = "14:Islamic School"
      15 = "15:KejarPaket C (Adult Education C)"
      17 = "17:School for the disabled"
      60 = "60:D1 (Junior College)"
      61 = "61:University S1 (Bachelor)"
      62 = "62:University S2 (Masters)"
      63 = "63:University S3 (Ph.D.)"
      72 = "72:Islamic Elementary School (Madrasah Ibtidaiyah)"
      73 = "73:Islamic Junior High School  (Madrasah Tsanawiyah)"
      74 = "74:Islamic Senior High School  (Madrasah Alliyah)"
      90 = "90:Kindergarten"
      95 = "95:Other"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR3_PAP_
      1 = "1:Male"
      3 = "3:Female"
      9 = "9:MISSING"
   ;
   value IR4_PAP_
      0 = "0:Never completed class 1"
      1 = "1"
      2 = "2"
      3 = "3"
      4 = "4"
      5 = "5"
      6 = "6"
      7 = "7:Graduated"
      96 = "96:No school"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR5MTH_PAP_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR5X_PAP_
      1 = "1:Yes"
      3 = "3:Since birth"
      6 = "6:Dont live in the village/ township"
      9 = "9:MISSING"
   ;
   value IR5YR_PAP_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value IR6_PAP_
      1 = "1:Elected"
      2 = "2:Appointed by residence"
      3 = "3:Appointed by camat"
      4 = "4:Appointed by bupati/walikota"
      5 = "5:OTHER"
      9 = "9:MISSING"
   ;
   value PAP01_
      1 = "1:Yes, Musdes/Muskel"
      2 = "2:Yes, not  Musdes/Muskel"
      3 = "3:No -->PAP06"
      6 = "6:No poverty program --> Section PPS"
      9 = "9:MISSING"
   ;
   value $PAP02A_
      'A' = "A:floor area per household members/family <8 m2"
      'AA' = "AA:no wealth"
      'B' = "B:ground floor type /board/ low quality"
      'C' = "C:bamboo wall types, lo quality boards"
      'D' = "D:there is no facility defecation (latrines)"
      'E' = "E:source of dringking water instead of fresh water"
      'F' = "F:used instead of electric lighting"
      'G' = "G:fuel used is wood / charcoal"
      'H' = "H:frequency of meals in a day is less than 2 times a day"
      'I' = "I:not afford to buy meat/chicken/milk in a week"
      'J' = "J:can not afford to buy new clothes for each member of the household"
      'K' = "K:not afford to go to the health center/clinic"
      'L' = "L:employment of household heads are smallholder farmers, fishermen, planters"
      'M' = "M:education of household head is not school/ unfinished primary education"
      'N' = "N:ownership of assets/valuable maximum rp. 500.000,-"
      'O' = "O:elderly"
      'P' = "P:underprivileged families"
      'Q' = "Q:family welfare 1 (ks-1)"
      'R' = "R:bad health"
      'S' = "S:widower"
      'T' = "T:widow"
      'U' = "U:do not have a steady job"
      'V' = "V:others"
      'Y' = "Y:DON'T KNOW"
      'Z' = "Z:MISSING"
   ;
   value $PAP03_
      'A' = "A:village head"
      'B' = "B:village official/staff"
      'C' = "C:plkb"
      'D' = "D:village midwife"
      'E' = "E:puskesmas staff"
      'F' = "F:community figure"
      'G' = "G:activist"
      'H' = "H:pkk"
      'I' = "I:ngo"
      'J' = "J:lkmd"
      'K' = "K:head of rt/rw"
      'V' = "V:other"
      'Y' = "Y:DON'T KNOW"
      'Z' = "Z:MISSING"
   ;
   value $PAP04_
      'A' = "A:village head"
      'B' = "B:village official/staff"
      'C' = "C:plkb"
      'D' = "D:village midwife"
      'E' = "E:puskesmas staff"
      'F' = "F:community figure"
      'G' = "G:activist"
      'H' = "H:pkk"
      'I' = "I:ngo"
      'J' = "J:lkmd"
      'K' = "K:head of rt/rw"
      'V' = "V:other"
      'Y' = "Y:DON'T KNOW"
      'Z' = "Z:MISSING"
   ;
   value PAP06_
      1 = "1:report to rt/rw head"
      2 = "2:report to village"
      3 = "3:report to kecamatan"
      4 = "4:depends on type of PAP program"
      6 = "6:no mechanism"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PAP17_
      1 = "1:jamkesda (regional health insurance)"
      2 = "2:jamkesmas (public health insurance)"
      3 = "3:jampersal (delivery insurance)"
      4 = "4:raskin (rice for the poor)"
      5 = "5:market operation for rice"
      6 = "6:market operation for other goods"
      7 = "7:pkps bbm-slt (unconditional cash transfer)"
      8 = "8:keluarga harapan (conditional cash transfer)"
      9 = "9:pnpm mandiri"
      10 = "10:blsm (direct cash assistance for the people)"
      11 = "11:bsm ( cash transfer for poor student)"
      12 = "12:askesos ( social wefare insurance)"
      13 = "13:ppa-pkh (child labor reduction-conditional cash transfer)"
      14 = "14:jspca/jsodk (disabled social insurance/severe disabled social insurance)"
      15 = "15:jslu/aslut (elderly social insurance)"
      16 = "16:kube/uep ( joint enterprise group/productive economic enterprise)"
      17 = "17:rtlh ( renovation program for home unfit for habitation/house renovation"
      18 = "18:pksa (children social welfare program)"
      19 = "19:kps (social security card)"
      20 = "20:jkn (national health insurance)"
      96 = "96:NO COMPLAINT"
      99 = "99:MISSING"
   ;
   value PAP18_
      1 = "1:jamkesda"
      2 = "2:jamkesmas"
      3 = "3:jampersal"
      4 = "4:raskin (rice for the poor)"
      5 = "5:rice market operation"
      6 = "6:others market"
      7 = "7:pkps bbm-slt (unconditional cash transfer)"
      8 = "8:keluarga harapan (conditional cash transfer)"
      9 = "9:pnpm mandiri"
      10 = "10:blsm 2013"
      11 = "11:bsm ( cash transfer for poor student)"
      12 = "12:askesos ( social wefare insurance)"
      13 = "13:ppa-pkh (child labor reduction-conditional cash transfer)"
      14 = "14:jspca/jsodk (disabled social insurance/severe disabled social insurance)"
      15 = "15:jslu/aslut (elderly social insurance)"
      16 = "16:kube/uep ( joint enterprise group/productive economic enterprise)"
      17 = "17:rtlh ( renovation program for home unfit for habitation/house renovation"
      18 = "18:pksa (children social welfare program)"
      19 = "19:kps (social security card)"
      20 = "20:jkn (national health insurance)"
      96 = "96:NO COMPLAIN"
      99 = "99:MISSING"
   ;
   value $PAP19_
      'A' = "A:the program helped the poor"
      'B' = "B:low leakage in the program execution"
      'C' = "C:program did not create dependency"
      'D' = "D:easy acces for community monitoring of the program"
      'E' = "E:program was not a burden to village official"
      'F' = "F:program was sustainable"
      'G' = "G:most fair"
      'V' = "V:other"
      'Z' = "Z:NO COMPLAINT"
   ;
   value PAP20_
      1 = "1:Yes"
      3 = "3:No -->PAP24A"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PAP20A_
      1 = "1:Yes"
      3 = "3:No-->PAP24A"
      9 = "9:MISSING"
   ;
   value $PAP21_
      'A' = "A:puskesmas"
      'B' = "B:puskesmas pembantu"
      'C' = "C:village midwife"
      'D' = "D:private practice"
      'E' = "E:public hospital"
      'F' = "F:private hospital"
      'Z' = "Z:MISSING"
   ;
   value $PAP22_
      'A' = "A:puskesmas"
      'B' = "B:puskesmas pembantu"
      'C' = "C:village midwife"
      'D' = "D:private practice"
      'E' = "E:public hospital"
      'F' = "F:private hospital"
      'Z' = "Z:MISSING"
   ;
   value PAP22X_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PAP24_
      1 = "1:Yes"
      3 = "3:No -->PAP28"
      9 = "9:MISSING"
   ;
   value PAP24A_
      1 = "1:Yes"
      3 = "3:No --> PAP24"
      9 = "9:MISSING"
   ;
   value PAP24B_
      1 = "1:Yes"
      3 = "3:No --> PAP28"
      9 = "9:MISSING"
   ;
   value $PAP25_
      'A' = "A:puskesmas"
      'B' = "B:puskesmas pembantu"
      'C' = "C:village midwife"
      'D' = "D:private practice"
      'E' = "E:public hospital"
      'F' = "F:private hospital"
      'Z' = "Z:MISSING"
   ;
   value PAP25A_
      1 = "1:Yes"
      3 = "3:No --> PAP24"
      9 = "9:MISSING"
   ;
   value $PAP25B_
      'A' = "A:puskesmas"
      'B' = "B:puskesmas pembantu"
      'C' = "C:village midwife"
      'D' = "D:private practice"
      'E' = "E:public hospital"
      'F' = "F:private hospital"
      'Z' = "Z:MISSING"
   ;
   value PAP26_
      99 = "99:MISSING"
   ;
   value $PAP26A_
      'A' = "A:pregnant women"
      'B' = "B:mother maternity"
      'C' = "C:postpartum women (up to 42 days postpartum)"
      'D' = "D:newborns (up to age 28 days)"
      'V' = "V:other"
      'Z' = "Z:MISSING"
   ;
   value PAP26B_
      99 = "99:MISSING"
   ;
   value PAP26BX_
      1 = "1:filled several months"
      6 = "6:no expiration"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PAP26X_
      1 = "1:filled several months"
      6 = "6:no expiration"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value $PAP27_
      'A' = "A:puskesmas"
      'B' = "B:puskesmas pembantu"
      'C' = "C:village midwife"
      'D' = "D:private practice"
      'E' = "E:public hospital"
      'F' = "F:private hospital"
      'Z' = "Z:MISSING"
   ;
   value $PAP27A_
      'A' = "A:puskesmas"
      'B' = "B:puskesmas pembantu"
      'C' = "C:village midwife"
      'D' = "D:private practice"
      'E' = "E:public hospital"
      'F' = "F:private hospital"
      'Z' = "Z:MISSING"
   ;
   value $PAP27B_
      'A' = "A:puskesmas"
      'B' = "B:puskesmas pembantu"
      'C' = "C:village midwife"
      'D' = "D:private practice"
      'E' = "E:public hospital"
      'F' = "F:private hospital"
      'Z' = "Z:MISSING"
   ;
   value PAP27BX_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PAP27X_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PAP28_
      1 = "1:Yes"
      3 = "3:No --> PAP45AA"
      9 = "9:MISSING"
   ;
   value $PAP28A_
      'A' = "A:pregnancy care"
      'B' = "B:maternity service"
      'C' = "C:mother postpartum care (up to 42 days postpartum"
      'D' = "D:newborn care (up to age 28 day)"
      'E' = "E:postpartum family planing"
      'V' = "V:other"
      'Z' = "Z:MISSING"
   ;
   value PAP29_
      99 = "99:MISSING"
   ;
   value PAP29A_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value PAP29X_
      1 = "1:Able to answer"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PAP30_
      999.9 = "999:MISSING"
   ;
   value PAP30X_
      1 = "1:Able to answer"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PAP31_
      999 = "999:MISSING"
   ;
   value PAP31X_
      1 = "1:Able to answer"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PAP32MT_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value PAP32X_
      1 = "1:Able to answer"
      6 = "6:Nothing --> PAP45AA"
      9 = "9:MISSING"
   ;
   value PAP32YR_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value PAP34_
      99.9 = "99:MISSING"
   ;
   value PAP34X_
      1 = "1:Able to answer"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PAP35_
      999 = "999:MISSING"
   ;
   value PAP35X_
      1 = "1:Able to answer"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PAP36_
      99 = "99:MISSING"
   ;
   value PAP36X_
      1 = "1:Able to answer"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PAP37X_
      1 = "1:Able to answer"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PAP38X_
      1 = "1:Able to answer"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PAP39_
      1 = "1:Yes --> PAP41A"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value PAP39A_
      1 = "1:based on list name which is decided by government (DPM) --> PAP39"
      2 = "2:based on list name from government (DPM) and modified"
      3 = "3:do not use DPM"
      9 = "9:MISSING"
   ;
   value $PAP39B_
      'A' = "A:type of low quality floor"
      'B' = "B:Wall type low quality"
      'C' = "C:Toilet facilities (latrines) nothing"
      'D' = "D:Source of drinking water is not water PAM"
      'E' = "E:Lighting is used instead of electricity"
      'F' = "F:Fuel used wood / charcoal"
      'G' = "G:Education of household head no school / not completed primary school"
      'H' = "H:elderly"
      'I' = "I:widower"
      'J' = "J:widow"
      'K' = "K:do not permanent work"
      'L' = "L:considered as poor by community"
      'V' = "V:other"
      'Y' = "Y:DON'T KNOW"
      'Z' = "Z:MISSING"
   ;
   value $PAP40_
      'A' = "A:based on the number of household members"
      'B' = "B:based on the poverty level of the household"
      'C' = "C:based on the number of children"
      'V' = "V:other"
      'Z' = "Z:MISSING"
   ;
   value $PAP41A_
      'A' = "A:distibuted equally among the poor households"
      'B' = "B:distributed equally between rich and poor"
      'C' = "C:distributed equally between rich and poor to rich and poor but in shifts"
      'D' = "D:given to the poor, if can not buy sale to the rich"
   ;
   value PAP45AA_
      1 = "1:high"
      2 = "2:average"
      3 = "3:low"
      9 = "9:MISSING"
   ;
   value PAP46_
      1 = "1:Yes"
      3 = "3:No -->PAP56"
      9 = "9:MISSING"
   ;
   value PAP47_X_
      1 = "1:Yes"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PAP48_X_
      1 = "1:Yes"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PAP49_
      998 = "998:DON'T KNOW"
      999 = "999:MISSING"
   ;
   value PAP49_X_
      1 = "1:Yes"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value $PAP50A_
      'A' = "A:central government"
      'B' = "B:regional government"
      'C' = "C:private/non - government"
      'Y' = "Y:DON'T KNOW"
      'Z' = "Z:MISSING"
   ;
   value PAP50_MTH_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value PAP50_X_
      1 = "1:Yes"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PAP51_X_
      1 = "1:Yes"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PAP52_
      999 = "999:MISSING"
   ;
   value PAP52_X_
      1 = "1:Yes"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PAP53_X_
      1 = "1:Yes"
      6 = "6:No Maximum"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PAP54_X_
      1 = "1:Yes"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PAP55_X_
      1 = "1:Yes"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PAP56A_A_
      99 = "99:MISSING"
   ;
   value PAP56A_A_X_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value PAP56A_B_
      99 = "99:MISSING"
   ;
   value PAP56A_B_X_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value PAP56A_C_
      99 = "99:MISSING"
   ;
   value PAP56A_C_X_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value PAP56A_X_
      1 = "1:Yes"
      3 = "3:No -->PAP63"
      9 = "9:MISSING"
   ;
   value $PAP57A_
      'A' = "A:village/township officials"
      'B' = "B:PKK/ posyandu cadres"
      'C' = "C:PUSKESMAS staff / PLKB staff/ midwives"
      'D' = "D:community figure"
      'E' = "E:BPS officials/ BPS partners/mantri statistik"
      'V' = "V:other"
      'Z' = "Z:MISSING"
   ;
   value PAP58A_B_MTH_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      96 = "96:not applicable"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value PAP58A_B_YR_
      9996 = "9996:NOT APPLICABLE"
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value PAP59A_B_
      996 = "996:NOT APPLICABLE"
      998 = "998:DON'T KNOW"
      999 = "999:MISSING"
   ;
   value PAP61A_
      1 = "1:Yes, with no additional fee"
      2 = "2:Yes, with additional fee"
      3 = "3:No"
      4 = "4:Yes, no information about additional fee"
      9 = "9:MISSING"
   ;
   value PAP62A_
      1 = "1:Yes, with no additional fee"
      2 = "2:Yes, with additional fee"
      3 = "3:No"
      4 = "4:Yes, no information about additional fee"
      9 = "9:MISSING"
   ;
   value PAP63_
      1 = "1:Yes"
      3 = "3:No --> PAP65A"
      9 = "9:MISSING"
   ;
   value PAP64A_
      1 = "1:Yes"
      3 = "3:No --> PAP65A"
      9 = "9:MISSING"
   ;
   value PAP64B_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value PAP65A_
      1 = "1:Yes"
      3 = "3:No --> PAP71A"
      9 = "9:MISSING"
   ;
   value $PAP66A_
      'A' = "A:PNPM urban"
      'B' = "B:PNPM rural"
      'C' = "C:PNPM PISEW"
      'D' = "D:PNPM PUAP"
      'E' = "E:PNPM poor and disadvantaged areas"
      'F' = "F:PNPM generation"
      'G' = "G:PNPM mandiri respect"
   ;
   value $PAP67A_
      'A' = "A:very poor household"
      'B' = "B:poor household"
      'C' = "C:non - poor household"
      'D' = "D:female - headed household"
      'E' = "E:female"
      'F' = "F:school child"
      'G' = "G:residents in the nearby activities"
      'V' = "V:other"
      'W' = "W:all people in the village"
      'Y' = "Y:DON'T KNOW"
      'Z' = "Z:MISSING"
   ;
   value PAP68A_
      1 = "1:Yes"
      3 = "3:No --> PAP70A"
      9 = "9:MISSING"
   ;
   value $PAP69A_
      'A' = "A:opening up economic opportunities"
      'B' = "B:easier acces"
      'C' = "C:the main of requirement"
      'D' = "D:help reduce poverty"
      'V' = "V:other"
      'Y' = "Y:DON'T KNOW"
      'Z' = "Z:MISSING"
   ;
   value $PAP70A_
      'A' = "A:not the main needs"
      'B' = "B:can not be enjoyed by communities"
      'C' = "C:already there are other similar programs"
      'D' = "D:can only be enjoyed by certain people"
      'E' = "E:must pay to enjoy the facilities"
      'V' = "V:other"
      'Y' = "Y:DON'T KNOW"
      'Z' = "Z:MISSING"
   ;
   value PAP71A_
      1 = "1:Yes"
      3 = "3:No --> PAP75"
      9 = "9:MISSING"
   ;
   value PAP72A_MTH_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value PAP73A_X_
      1 = "1:Yes"
      6 = "6:No expiration"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value $PAP74A_
      'A' = "A:RASKIN"
      'B' = "B:BLSM"
      'C' = "C:BSM (bantuan siswa miskin)"
      'D' = "D:PKH ( program keluarga harapan)"
      'V' = "V:other"
   ;
   value PAP75_
      1 = "1:Yes"
      3 = "3:No --> PAP79"
      9 = "9:MISSING"
   ;
   value PAP76_MTH_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value PAP76_YR_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value $PAP77_
      'A' = "A:very poor household"
      'B' = "B:poor household"
      'C' = "C:non - poor household"
      'D' = "D:homeless"
      'E' = "E:disable"
      'V' = "V:other"
      'Y' = "Y:dont know"
      'Z' = "Z:MISSING"
   ;
   value $PAP78_
      'A' = "A:village/ kelurahan officials"
      'B' = "B:kader PKK/ posyandu"
      'C' = "C:PUSKESMAS official/PLKB / Midwife"
      'D' = "D:community figure"
      'E' = "E:BPS officials/ BPS partners/mantri statistik"
      'F' = "F:list of beneficiaries of government"
      'V' = "V:other"
      'Z' = "Z:MISSING"
   ;
   value PAP79_
      1 = "1:Yes"
      3 = "3:No --> PAP84"
      9 = "9:MISSING"
   ;
   value PAP80_MTH_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value PAP80_YR_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value $PAP81_
      'A' = "A:very poor household"
      'B' = "B:poor household"
      'C' = "C:non - poor household"
      'D' = "D:homemeless"
      'E' = "E:disable"
      'V' = "V:other"
      'Y' = "Y:DON'T KNOW"
      'Z' = "Z:MISSING"
   ;
   value $PAP82_
      'A' = "A:village/kelurahan officials"
      'B' = "B:kader PKK/ posyandu"
      'C' = "C:PUSKESMAS official/PLKB / Midwife"
      'D' = "D:community figure"
      'E' = "E:BPS officials/ BPS partners/mantri statistik"
      'F' = "F:list of beneficiaries of government"
      'V' = "V:other"
      'Z' = "Z:MISSING"
   ;
   value PAP83_1_X_
      1 = "1:input rupiah"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PAP83_2_X_
      1 = "1:input rupiah"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PAP83_3_X_
      1 = "1:input rupiah"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PAP84_
      1 = "1:Yes"
      3 = "3:no -->  section PPS"
      9 = "9:MISSING"
   ;
   value PAP85_MTH_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value PAP85_YR_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value $PAP86_
      'A' = "A:very poor household"
      'B' = "B:poor household"
      'C' = "C:non - poor household"
      'D' = "D:homeless"
      'E' = "E:disable"
      'V' = "V:other"
      'Y' = "Y:DON'T KNOW"
      'Z' = "Z:MISSING"
   ;
   value $PAP87_
      'A' = "A:village/ kelurahan officials"
      'B' = "B:kader PKK/ posyandu"
      'C' = "C:PUSKESMAS official/PLKB / Midwife"
      'D' = "D:community figure"
      'E' = "E:BPS officials/ BPS partners/mantri statistik"
      'F' = "F:list of beneficiaries of government"
      'V' = "V:other"
      'Z' = "Z:MISSING"
   ;
   value PAP88_X_
      1 = "1:Able to answer"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PAP14_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value PAP17A_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value $PAP1TYPE_
      '2A' = "2A:jampersal (delivery insurance)"
      '2B' = "2B:jkn (national health insurance)"
      '1'  = "1:Jamkesda"
      '2'  = "2:Jamkesmas"
      '3'  = "3:Raskin"
      '4'  = "4:Operasi Pasar Beras"
      '5'  = "5:Operasi Pasar untuk Minyak Tanah, Gula, atau Minyak Goreng"
      '6'  = "6:PKPS BBM-BLT (Bantuan Langsung Tunai)"
      '7'  = "7:Program Keluarga Harapan"
      '8'  = "8:PNPM MANDIRI"
      '9'  = "9:Bantuan Langsung Sementara Masyarakat ( BLSM )"
      '10' = "10:bsm (cash transfer for poor student)"
      '11' = "11:askesos ( social welfare insurance)"
      '12' = "12:ppa - pkh ( child labor reduction - conditional cash transfer)"
      '13' = "13:jspaca/jsodk (disabled social insurance/ severe disabled social insurance)"
      '14' = "14:jslu/aslut (elderly social insurance)"
      '15' = "15:kube/uep (joint enterprise group/productive economic enterprise)"
      '16' = "16:rtlh (renovation program for home unfit for habitation/house renovation)"
      '17' = "17:pksa (children social welfare program)"
      '18' = "18:kps ( social security card )"
   ;
   value PAP7_
      1 = "1:Yes"
      3 = "3:No --> next line"
      9 = "9:MISSING"
   ;
   value PAP7AMT_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value PAP7AX_
      1 = "1:Able to answer"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PAP7AYR_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value PAP7C_
      1 = "1:Yes --> PAP8A"
      3 = "3:no"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PAP7DMT_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value PAP7DX_
      1 = "1:Yes"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PAP7DYR_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value PAP8_
      999 = "999:MISSING"
   ;
   value PAP8X_
      1 = "1:Yes"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value IR1A_PPS_
      1 = "1:Village/township head"
      2 = "2:Village secretary"
      3 = "3:Head of goverment administration"
      4 = "4:Head of village development"
      5 = "5:Head of welfare"
      6 = "6:Head of financial matters"
      7 = "7:Head of general affairs"
      95 = "95:Other"
      99 = "99:MISSING"
   ;
   value IR2AMTH_PPS_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR2AYR_PPS_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value IR3A_PPS_
      1 = "1:No school/not yet in school"
      2 = "2:Elementary school"
      3 = "3:Junior High - General"
      4 = "4:Junior High - Vocational"
      5 = "5:High School - General"
      6 = "6:High School - Vocational"
      11 = "11:KejarPaket A (Adult Education A)"
      12 = "12:KejarPaket B (Adult Education B)"
      13 = "13:Open Univeristy"
      14 = "14:Islamic School"
      15 = "15:KejarPaket C (Adult Education C)"
      17 = "17:School for the disabled"
      60 = "60:D1 (Junior College)"
      61 = "61:University S1 (Bachelor)"
      62 = "62:University S2 (Masters)"
      63 = "63:University S3 (Ph.D.)"
      72 = "72:Islamic Elementary School (Madrasah Ibtidaiyah)"
      73 = "73:Islamic Junior High School  (Madrasah Tsanawiyah)"
      74 = "74:Islamic Senior High School  (Madrasah Alliyah)"
      90 = "90:Kindergarten"
      95 = "95:Other"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR3_PPS_
      1 = "1:Male"
      3 = "3:Female"
      9 = "9:MISSING"
   ;
   value IR4_PPS_
      0 = "0:Never completed class 1"
      1 = "1"
      2 = "2"
      3 = "3"
      4 = "4"
      5 = "5"
      6 = "6"
      7 = "7:Graduated"
      96 = "96:No school"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR5MTH_PPS_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR5X_PPS_
      1 = "1:Yes"
      3 = "3:Since birth"
      6 = "6:Dont live in the village/ township"
      9 = "9:MISSING"
   ;
   value IR5YR_PPS_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value IR6_PPS_
      1 = "1:Elected"
      2 = "2:Appointed by residence"
      3 = "3:Appointed by camat"
      4 = "4:Appointed by bupati/walikota"
      5 = "5:OTHER"
      9 = "9:MISSING"
   ;
   value PPS10A_
      1 = "1:Much worse"
      2 = "2:Worse"
      3 = "3:Same"
      4 = "4:Better"
      5 = "5:Much better"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS10B_
      1 = "1:Much worse"
      2 = "2:Worse"
      3 = "3:Same"
      4 = "4:Better"
      5 = "5:Much better"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS10C_
      1 = "1:Much worse"
      2 = "2:Worse"
      3 = "3:Same"
      4 = "4:Better"
      5 = "5:Much better"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS10D_
      1 = "1:Much worse"
      2 = "2:Worse"
      3 = "3:Same"
      4 = "4:Better"
      5 = "5:Much better"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS10E_
      1 = "1:Much worse"
      2 = "2:Worse"
      3 = "3:Same"
      4 = "4:Better"
      5 = "5:Much better"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS10F_
      1 = "1:Much worse"
      2 = "2:Worse"
      3 = "3:Same"
      4 = "4:Better"
      5 = "5:Much better"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS10G_
      1 = "1:Much worse"
      2 = "2:Worse"
      3 = "3:Same"
      4 = "4:Better"
      5 = "5:Much better"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS10H_
      1 = "1:Much worse"
      2 = "2:Worse"
      3 = "3:Same"
      4 = "4:Better"
      5 = "5:Much better"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS10I_
      1 = "1:Much worse"
      2 = "2:Worse"
      3 = "3:Same"
      4 = "4:Better"
      5 = "5:Much better"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS10J_
      1 = "1:Much worse"
      2 = "2:Worse"
      3 = "3:Same"
      4 = "4:Better"
      5 = "5:Much better"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS10K_
      1 = "1:Much worse"
      2 = "2:Worse"
      3 = "3:Same"
      4 = "4:Better"
      5 = "5:Much better"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS10L_
      1 = "1:Much worse"
      2 = "2:Worse"
      3 = "3:Same"
      4 = "4:Better"
      5 = "5:Much better"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS1A_
      1 = "1:Adequate"
      2 = "2:Somewhat adequate"
      3 = "3:Not adequate"
      4 = "4:Far from adequate"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS1B_
      1 = "1:Adequate"
      2 = "2:Somewhat adequate"
      3 = "3:Not adequate"
      4 = "4:Far from adequate"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS1C_
      1 = "1:Adequate"
      2 = "2:Somewhat adequate"
      3 = "3:Not adequate"
      4 = "4:Far from adequate"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS1D_
      1 = "1:Adequate"
      2 = "2:Somewhat adequate"
      3 = "3:Not adequate"
      4 = "4:Far from adequate"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS1E_
      1 = "1:Adequate"
      2 = "2:Somewhat adequate"
      3 = "3:Not adequate"
      4 = "4:Far from adequate"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS1F_
      1 = "1:Adequate"
      2 = "2:Somewhat adequate"
      3 = "3:Not adequate"
      4 = "4:Far from adequate"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS3A_
      1 = "1:Much worse"
      2 = "2:Worse"
      3 = "3:Same"
      4 = "4:Better"
      5 = "5:Much better"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS3B_
      1 = "1:Much worse"
      2 = "2:Worse"
      3 = "3:Same"
      4 = "4:Better"
      5 = "5:Much better"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS3C_
      1 = "1:Much worse"
      2 = "2:Worse"
      3 = "3:Same"
      4 = "4:Better"
      5 = "5:Much better"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS3D_
      1 = "1:Much worse"
      2 = "2:Worse"
      3 = "3:Same"
      4 = "4:Better"
      5 = "5:Much better"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS3E_
      1 = "1:Much worse"
      2 = "2:Worse"
      3 = "3:Same"
      4 = "4:Better"
      5 = "5:Much better"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS3F_
      1 = "1:Much worse"
      2 = "2:Worse"
      3 = "3:Same"
      4 = "4:Better"
      5 = "5:Much better"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS4A_
      1 = "1:Adequate"
      2 = "2:Somewhat adequate"
      3 = "3:Not adequate"
      4 = "4:Far from adequate"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS4B_
      1 = "1:Adequate"
      2 = "2:Somewhat adequate"
      3 = "3:Not adequate"
      4 = "4:Far from adequate"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS4C_
      1 = "1:Adequate"
      2 = "2:Somewhat adequate"
      3 = "3:Not adequate"
      4 = "4:Far from adequate"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS4D_
      1 = "1:Adequate"
      2 = "2:Somewhat adequate"
      3 = "3:Not adequate"
      4 = "4:Far from adequate"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS4E_
      1 = "1:Adequate"
      2 = "2:Somewhat adequate"
      3 = "3:Not adequate"
      4 = "4:Far from adequate"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS4F_
      1 = "1:Adequate"
      2 = "2:Somewhat adequate"
      3 = "3:Not adequate"
      4 = "4:Far from adequate"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS4G_
      1 = "1:Adequate"
      2 = "2:Somewhat adequate"
      3 = "3:Not adequate"
      4 = "4:Far from adequate"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS4H_
      1 = "1:Adequate"
      2 = "2:Somewhat adequate"
      3 = "3:Not adequate"
      4 = "4:Far from adequate"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS4I_
      1 = "1:Adequate"
      2 = "2:Somewhat adequate"
      3 = "3:Not adequate"
      4 = "4:Far from adequate"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS4J_
      1 = "1:Adequate"
      2 = "2:Somewhat adequate"
      3 = "3:Not adequate"
      4 = "4:Far from adequate"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS4K_
      1 = "1:Adequate"
      2 = "2:Somewhat adequate"
      3 = "3:Not adequate"
      4 = "4:Far from adequate"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PPS4L_
      1 = "1:Adequate"
      2 = "2:Somewhat adequate"
      3 = "3:Not adequate"
      4 = "4:Far from adequate"
      6 = "6:NA"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value MODE_B1C_
      1 = "1:Entry"
      2 = "2:Modification"
      3 = "3:Verification"
   ;
   value PARTIAL_B1C_
      1 = "1:Partial save"
      2 = "2:Complete"
   ;
   value TR01_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value TR02_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value TR02A_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value $TR03_
      'A' = "A:law expert"
      'B' = "B:village/adat/religious leaders"
      'C' = "C:village officials"
      'D' = "D:NGO"
      'E' = "E:police"
      'F' = "F:family member or friends"
      'G' = "G:lawyers/paralegal"
      'H' = "H:subdistrict officials"
      'I' = "I:district officials"
      'J' = "J:district attorney"
      'K' = "K:judicial court"
      'V' = "V:other"
      'Y' = "Y:DON'T KNOW"
   ;
   value TR04_
      1 = "1:increasing"
      2 = "2:same"
      3 = "3:decreasing"
      9 = "9:MISSING"
   ;
   value IR1A_TR_
      1 = "1:Village/township head"
      2 = "2:Village secretary"
      3 = "3:Head of goverment administration"
      4 = "4:Head of village development"
      5 = "5:Head of welfare"
      6 = "6:Head of financial matters"
      7 = "7:Head of general affairs"
      95 = "95:Other"
      99 = "99:MISSING"
   ;
   value IR2AMTH_TR_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR2AYR_TR_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value IR3A_TR_
      1 = "1:No school/not yet in school"
      2 = "2:Elementary school"
      3 = "3:Junior High - General"
      4 = "4:Junior High - Vocational"
      5 = "5:High School - General"
      6 = "6:High School - Vocational"
      11 = "11:KejarPaket A (Adult Education A)"
      12 = "12:KejarPaket B (Adult Education B)"
      13 = "13:Open Univeristy"
      14 = "14:Islamic School"
      15 = "15:KejarPaket C (Adult Education C)"
      17 = "17:School for the disabled"
      60 = "60:D1 (Junior College)"
      61 = "61:University S1 (Bachelor)"
      62 = "62:University S2 (Masters)"
      63 = "63:University S3 (Ph.D.)"
      72 = "72:Islamic Elementary School (Madrasah Ibtidaiyah)"
      73 = "73:Islamic Junior High School  (Madrasah Tsanawiyah)"
      74 = "74:Islamic Senior High School  (Madrasah Alliyah)"
      90 = "90:Kindergarten"
      95 = "95:Other"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR3_TR_
      1 = "1:Male"
      3 = "3:Female"
      9 = "9:MISSING"
   ;
   value IR4_TR_
      0 = "0:Never completed class 1"
      1 = "1"
      2 = "2"
      3 = "3"
      4 = "4"
      5 = "5"
      6 = "6"
      7 = "7:Graduated"
      96 = "96:No school"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR5MTH_TR_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value IR5X_TR_
      1 = "1:Yes"
      3 = "3:Since birth"
      6 = "6:Dont live in the village/ township"
      9 = "9:MISSING"
   ;
   value IR5YR_TR_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value IR6_TR_
      1 = "1:Elected"
      2 = "2:Appointed by residence"
      3 = "3:Appointed by camat"
      4 = "4:Appointed by bupati/walikota"
      5 = "5:OTHER"
      9 = "9:MISSING"
   ;
   value TR05_
      1 = "1:Yes"
      2 = "2:Yes"
      3 = "3:No -->PAP06"
      4 = "4:No poverty program --> section pps"
      9 = "9:MISSING"
   ;
   value TR06_
      1 = "1:much safer"
      2 = "2:somewhat safer"
      3 = "3:same"
      4 = "4:somewhat less safe"
      5 = "5:much less safe"
      9 = "9:MISSING"
   ;
   value TR07_
      1 = "1:very safe"
      2 = "2:safe"
      3 = "3:unsafe"
      4 = "4:very unsafe"
      9 = "9:MISSING"
   ;
   value TR07A_
      1 = "1:very safe"
      2 = "2:safe"
      3 = "3:unsafe"
      4 = "4:very unsafe"
      9 = "9:MISSING"
   ;
   value TR08_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value TR09_
      1 = "1:Yes"
      3 = "3:No"
      6 = "6:NA"
      9 = "9:MISSING"
   ;
   value TR10_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value TR11_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value TR12_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value TR13_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value TR14_
      1 = "1:strongly agree"
      2 = "2:agree"
      3 = "3:disagree"
      4 = "4:strongly disagree"
      9 = "9:MISSING"
   ;
   value TR15_
      1 = "1:strongly agree"
      2 = "2:agree"
      3 = "3:disagree"
      4 = "4:strongly disagree"
      9 = "9:MISSING"
   ;
   value TR16_
      1 = "1:strongly agree"
      2 = "2:agree"
      3 = "3:disagree"
      4 = "4:strongly disagree"
      9 = "9:MISSING"
   ;
   value TR17_
      1 = "1:strongly agree"
      2 = "2:agree"
      3 = "3:disagree"
      4 = "4:strongly disagree"
      9 = "9:MISSING"
   ;
   value TR18_
      1 = "1:strongly agree"
      2 = "2:agree"
      3 = "3:disagree"
      4 = "4:strongly disagree"
      9 = "9:MISSING"
   ;
   value TR19_
      1 = "1:strongly agree"
      2 = "2:agree"
      3 = "3:disagree"
      4 = "4:strongly disagree"
      9 = "9:MISSING"
   ;
   value TR20_
      1 = "1:strongly agree"
      2 = "2:agree"
      3 = "3:disagree"
      4 = "4:strongly disagree"
      9 = "9:MISSING"
   ;
   run;
