proc format;
   value CK1_
      0 = "0. Indonesian"
      1 = "1. Javanese"
      2 = "2. Sundanese"
      3 = "3. Balinese"
      4 = "4. Batak"
      5 = "5. Bugis"
      6 = "6. Chinese"
      7 = "7. Maduranese"
      8 = "8. Sasak"
      9 = "9. Minang"
      10 = "10. Banjar"
      11 = "11. Bima"
      12 = "12. Makasar"
      13 = "13. Nias"
      14 = "14. Palembang"
      15 = "15. Sumbawa"
      16 = "16. Toraja"
      17 = "17. Lahat"
      18 = "18. Other South Sumatra"
      19 = "19. Betawi"
      20 = "20. Lampung"
      21 = "21. Dayak"
      22 = "22. Manado"
      23 = "23. Ambon"
      95 = "93. Other"
      99 = "99:MISSING"
   ;
   value CK2_
      0 = "0. Indonesian"
      1 = "1. Javanese"
      2 = "2. Sundanese"
      3 = "3. Balinese"
      4 = "4. Batak"
      5 = "5. Bugis"
      6 = "6. Chinese"
      7 = "7. Maduranese"
      8 = "8. Sasak"
      9 = "9. Minang"
      10 = "10. Banjar"
      11 = "11. Bima"
      12 = "12. Makasar"
      13 = "13. Nias"
      14 = "14. Palembang"
      15 = "15. Sumbawa"
      16 = "16. Toraja"
      17 = "17. Lahat"
      18 = "18. Other South Sumatra"
      19 = "19. Betawi"
      20 = "20. Lampung"
      21 = "21. Dayak"
      22 = "22. Manado"
      23 = "23. Ambon"
      95 = "93. Other"
      96 = "96. None"
      99 = "99:MISSING"
   ;
   value COV00B2_
      1 = "1:Interviewed"
      3 = "3:Not interviewed"
   ;
   value COV1X_
      1 = "1:Yes"
      3 = "3:No"
   ;
   value FP3_
      1 = "1. Completed i --> FP6"
      2 = "2. Partially completed"
      3 = "3. Not completed"
      6 = "6:NOT APPLICABLE"
   ;
   value FP4_
      1 = "1. Resp. not at home/did not found"
      2 = "2. Resp. was too busy"
      3 = "3. Resp. refused"
      4 = "4. Twin EA --> FP6"
   ;
   value FP6A_
      1 = "1. Yes"
      3 = "3. No"
      9 = "9. Missing"
   ;
   value FP6B_
      1 = "1. Yes"
      3 = "3. No"
      9 = "9. Missing"
   ;
   value FP6C_
      1 = "1. Yes"
      3 = "3. No"
      9 = "9. Missing"
   ;
   value B2_MOVER_
      0 = "0:Cancel"
      1 = "1:Cover"
      2 = "2:LK section"
      3 = "3:KA section"
      4 = "4:PL section"
      5 = "5:ST section"
      6 = "6:PR section"
      7 = "7:LU section"
      8 = "8:KD1 section"
      9 = "9:KD2 - S53 section"
      10 = "10:OL section"
      11 = "11:CP section"
   ;
   value $CHECKBOX_KA1TYPE_
      'A' = "A:Air"
      'B' = "B:Tanah"
      'C' = "C:Udara"
      'D' = "D:Suara/getaran"
      'W' = "W:TIDAK ADA"
      'Z' = "Z:MISSING"
   ;
   value $CHECKBOX_KA3TYPE_1_
      'A' = "A:housing"
      'B' = "B:cultivation"
      'C' = "C:plantation"
      'D' = "D:roads/infrastructure"
      'E' = "E:factory"
      'V' = "V:other"
      'W' = "W:not applicable"
      'Z' = "Z:MISSING"
   ;
   value $CHECKBOX_KA3TYPE_2_
      'A' = "A:housing"
      'D' = "D:roads/infrastructure"
      'E' = "E:factory"
      'V' = "V:other"
      'W' = "W:NOT APPLICABLE"
      'Z' = "Z:MISSING"
   ;
   value INTRO_KA_
      1 = "1:interview continued"
      9 = "9:interview stopped"
   ;
   value INTRO_KD_
      1 = "1:interview continue"
      9 = "9:interview stop"
   ;
   value INTRO_LU_
      1 = "1:interview continued"
      9 = "9:interview stopped"
   ;
   value INTRO_OL_
      1 = "1:interview continued"
      9 = "9:interview stopped"
   ;
   value INTRO_PL_
      1 = "1:interview continued"
      9 = "9:interview stopped"
   ;
   value INTRO_PR_
      1 = "1:interview continued"
      9 = "9:interview stopped"
   ;
   value INTRO_ST_
      1 = "1:interview continued"
      9 = "9:interview stopped"
   ;
   value S01A_
      1 = "1:yes"
      3 = "3:no => S01B"
      9 = "9:MISSING"
   ;
   value S01B_
      1 = "1:yes"
      3 = "3:No => S08"
      9 = "9:MISSING"
   ;
   value S01X_
      1 = "1:filled"
      8 = "8:don't know"
      9 = "9:MISSING"
   ;
   value S02A_
      999 = "999:MISSING"
   ;
   value S02AX_
      1 = "1:Able to answer"
      8 = "8:don't know"
      9 = "9:MISSING"
   ;
   value S02B_
      999 = "999:MISSING"
   ;
   value S02BX_
      1 = "1:Able to answer"
      8 = "8:don't know"
      9 = "9:MISSING"
   ;
   value SA1_X_
      1 = "1:filled"
      8 = "8:don't know"
      9 = "9:MISSING"
   ;
   value SA2_
      1 = "1:flat"
      2 = "2:ramps"
      3 = "3:wavy"
      4 = "4:hily"
      5 = "5:mountainous"
      99 = "99:MISSING"
   ;
   value SA3_X_
      1 = "1:yes"
      8 = "8:don't know"
      9 = "9:MISSING"
   ;
   value S03A_
      1 = "1:yes"
      3 = "3:no = > next line"
      9 = "9:MISSING"
   ;
   value S04A_
      999 = "999:MISSING"
   ;
   value S04AX_
      1 = "1:Able to answer"
      8 = "8:don't know"
      9 = "9:MISSING"
   ;
   value $S05A_
      'A' = "A:Central government office"
      'B' = "B:Province government office"
      'C' = "C:District government office"
      'D' = "D:Subdistrict government office"
      'E' = "E:village office"
      'F' = "F:community leader"
      'V' = "V:other community leader"
      'W' = "W:no permition nedded"
      'Z' = "Z:MISSING"
   ;
   value S06A_
      1 = "1:increase"
      2 = "2:no change"
      3 = "3:decrease"
      9 = "9:MISSING"
   ;
   value S03B_
      1 = "1:yes"
      3 = "3:no = > next line"
      9 = "9:MISSING"
   ;
   value S04B_
      995 = "995:other"
      999 = "999:MISSING"
   ;
   value S04BX_
      1 = "1:filled"
      8 = "8:don't know"
      9 = "9:MISSING"
   ;
   value $S05B_
      'A' = "A:Central government office"
      'B' = "B:Province government office"
      'C' = "C:District government office"
      'D' = "D:Subdistrict government office"
      'E' = "E:village office"
      'F' = "F:community leader"
      'V' = "V:other community leader"
      'W' = "W:no permition nedded"
      'Z' = "Z:MISSING"
   ;
   value S06B_
      1 = "1:increase"
      2 = "2:no change"
      3 = "3:decrease"
      9 = "9:MISSING"
   ;
   value S53_
      1 = "1:urban(township) => S60"
      2 = "2:rural(village)"
      9 = "9:MISSING"
   ;
   value S61_
      1 = "1:yes"
      3 = "3:no/never => data source"
      9 = "9:MISSING"
   ;
   value S61A_DAY_
      98 = "98:don't know"
      99 = "99:MISSING"
   ;
   value S61A_MTH_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value S61A_YR_
      9998 = "9998:don't know"
      9999 = "9999:MISSING"
   ;
   value S62AX_
      1 = "1:Yes"
      3 = "3:No => S62 B"
      9 = "9:MISSING"
   ;
   value S62BX_
      1 = "1:yes"
      3 = "3:No => S62 C"
      9 = "9:MISSING"
   ;
   value S62CX_
      1 = "1:yes"
      3 = "3:no => CP section"
      9 = "9:MISSING"
   ;
   value LK05_
      1 = "1:urban"
      2 = "2:rural"
      9 = "9:MISSING"
   ;
   value S38TYPE_
      1 = "1:Farming (including forestry, hunting and fishing)"
      2 = "2:mining (including eacvating)"
      3 = "3:manufacturing industry"
      4 = "4:electricity, gas and water"
      5 = "5:building construction"
      6 = "6:large trade, retail trade, restaurants and hotels"
      7 = "7:transportation, warehousing and communications"
      8 = "8:Finance, insurance, lease of buildings, grounds and business services"
      9 = "9:social services"
      95 = "95:other"
   ;
   value S39_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value S40A_
      1 = "1:Farming (including forestry, hunting and fishing)"
      2 = "2:mining (including eacvating)"
      3 = "3:manufacturing industry"
      4 = "4:electricity, gas and water"
      5 = "5:building construction"
      6 = "6:large trade, retail trade, restaurants and hotels"
      7 = "7:transportation, warehousing and communications"
      8 = "8:Finance, insurance, lease of buildings, grounds and business services"
      9 = "9:social services"
      95 = "95:other"
      96 = "96:not applicable"
      99 = "99:MISSING"
   ;
   value S40B_
      1 = "1:Farming (including forestry, hunting and fishing)"
      2 = "2:mining (including eacvating)"
      3 = "3:manufacturing industry"
      4 = "4:electricity, gas and water"
      5 = "5:building construction"
      6 = "6:large trade, retail trade, restaurants and hotels"
      7 = "7:transportation, warehousing and communications"
      8 = "8:Finance, insurance, lease of buildings, grounds and business services"
      9 = "9:social services"
      95 = "95:other"
      96 = "96:not applicable"
      99 = "99:MISSING"
   ;
   value S40C_
      1 = "1:Farming (including forestry, hunting and fishing)"
      2 = "2:mining (including eacvating)"
      3 = "3:manufacturing industry"
      4 = "4:electricity, gas and water"
      5 = "5:building construction"
      6 = "6:large trade, retail trade, restaurants and hotels"
      7 = "7:transportation, warehousing and communications"
      8 = "8:Finance, insurance, lease of buildings, grounds and business services"
      9 = "9:social services"
      95 = "95:other"
      96 = "96:not applicable"
      99 = "99:MISSING"
   ;
   value OL1_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value OL2_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value OL22_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value OL23_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value OL24_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value OL25_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value OL26_
      1 = "1:Yes"
      3 = "3:No"
      6 = "6:No store/stalls"
      9 = "9:MISSING"
   ;
   value OL27_
      1 = "1:yes"
      3 = "3:no"
      6 = "6:no shops"
      9 = "9:MISSING"
   ;
   value OL3_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value OL4_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value OL5_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value OL6_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value OL7_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value OL8_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value OL9_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value KA1TYPE_
      1 = "1:water"
      2 = "2:soil"
      3 = "3:air"
      4 = "4:noise/vibration"
   ;
   value S08_
      1 = "1:yes"
      3 = "3:none = > next line"
      9 = "9:MISSING"
   ;
   value $S09_
      'A' = "A:household"
      'B' = "B:factories"
      'C' = "C:vehicles"
      'D' = "D:businesses"
      'V' = "V:other"
      'Z' = "Z:MISSING"
   ;
   value $S10A_
      'A' = "A:solid"
      'B' = "B:liquid"
      'C' = "C:gas"
      'Z' = "Z:MISSING"
   ;
   value S11_
      1 = "1:inside the village"
      2 = "2:outside the village"
      3 = "3:inside and outside the village"
      9 = "9:MISSING"
   ;
   value S12_
      1 = "1:yes"
      3 = "3:none"
      9 = "9:MISSING"
   ;
   value S12A_MTH_
      1 = "1:january"
      2 = "2:february"
      3 = "3:march"
      4 = "4:april"
      5 = "5:may"
      6 = "6:june"
      7 = "7:july"
      8 = "8:august"
      9 = "9:september"
      10 = "10:october"
      11 = "11:november"
      12 = "12:december"
      98 = "98:don't know"
      99 = "99:MISSING"
   ;
   value S12A_YR_
      9998 = "9998:don't know"
      9999 = "9999:MISSING"
   ;
   value S12B_A_
      3 = "3:days"
      4 = "4:weeks"
      5 = "5:months"
      9 = "9:MISSING"
   ;
   value S12B_X_
      1 = "1:filled"
      8 = "8:don't know"
      9 = "9:MISSING"
   ;
   value A12_1_
      998 = "998:don't know"
      999 = "999:MISSING"
   ;
   value $A12_1_NM_
      'A' = "A:java"
      'A1' = "A1:manado"
      'B' = "B:sunda"
      'B1' = "B1:aceh"
      'C' = "C:bali"
      'C1' = "C1:south sumatera. Other"
      'D' = "D:batak"
      'D1' = "D1:banten"
      'E' = "E:bugis"
      'E1' = "E1:cirebon"
      'F' = "F:tionghoa"
      'F1' = "F1:Gorontalo"
      'G' = "G:madura"
      'G1' = "G1:Kutai"
      'H' = "H:sasak"
      'I' = "I:minang"
      'J' = "J:banjar"
      'K' = "K:bima-dompu"
      'L' = "L:makassar"
      'M' = "M:nias"
      'N' = "N:palembang"
      'O' = "O:sumbawa"
      'P' = "P:toraja"
      'Q' = "Q:betawi"
      'R' = "R:dayak"
      'S' = "S:melayu"
      'T' = "T:komering"
      'U' = "U:ambon"
      'V' = "V:other"
      'Z' = "Z:MISSING"
   ;
   value A12_2_
      998 = "998:don't know"
      999 = "999:MISSING"
   ;
   value $A12_2_NM_
      'A' = "A:java"
      'A1' = "A1:manado"
      'B' = "B:sunda"
      'B1' = "B1:aceh"
      'C' = "C:bali"
      'C1' = "C1:south sumatera. Other"
      'D' = "D:batak"
      'D1' = "D1:banten"
      'E' = "E:bugis"
      'E1' = "E1:cirebon"
      'F' = "F:tionghoa"
      'F1' = "F1:Gorontalo"
      'G' = "G:madura"
      'G1' = "G1:Kutai"
      'H' = "H:sasak"
      'I' = "I:minang"
      'J' = "J:banjar"
      'K' = "K:bima-dompu"
      'L' = "L:makassar"
      'M' = "M:nias"
      'N' = "N:palembang"
      'O' = "O:sumbawa"
      'P' = "P:toraja"
      'Q' = "Q:betawi"
      'R' = "R:dayak"
      'S' = "S:melayu"
      'T' = "T:komering"
      'U' = "U:ambon"
      'V' = "V:other"
      'W' = "W:not applicable"
      'Z' = "Z:MISSING"
   ;
   value A12_3_
      998 = "998:don't know"
      999 = "999:MISSING"
   ;
   value $A12_3_NM_
      'A' = "A:java"
      'A1' = "A1:manado"
      'B' = "B:sunda"
      'B1' = "B1:aceh"
      'C' = "C:bali"
      'C1' = "C1:south sumatera. Other"
      'D' = "D:batak"
      'D1' = "D1:banten"
      'E' = "E:bugis"
      'E1' = "E1:cirebon"
      'F' = "F:tionghoa"
      'F1' = "F1:Gorontalo"
      'G' = "G:madura"
      'G1' = "G1:Kutai"
      'H' = "H:sasak"
      'I' = "I:minang"
      'J' = "J:banjar"
      'K' = "K:bima-dompu"
      'L' = "L:makassar"
      'M' = "M:nias"
      'N' = "N:palembang"
      'O' = "O:sumbawa"
      'P' = "P:toraja"
      'Q' = "Q:betawi"
      'R' = "R:dayak"
      'S' = "S:melayu"
      'T' = "T:komering"
      'U' = "U:ambon"
      'V' = "V:other"
      'W' = "W:not applicable"
      'Z' = "Z:MISSING"
   ;
   value S16_
      1 = "1:yes"
      3 = "3:none"
      9 = "9:MISSING"
   ;
   value S19_
      1 = "1:yes"
      3 = "3:none"
      9 = "9:MISSING"
   ;
   value S23_
      1 = "1:yes"
      3 = "3:none"
      9 = "9:MISSING"
   ;
   value S26_
      1 = "1:yes"
      3 = "3:none"
      9 = "9:MISSING"
   ;
   value S26A_
      1 = "1:yes"
      3 = "3:none"
      9 = "9:MISSING"
   ;
   value S28_
      1 = "1:yes"
      3 = "3:none"
      9 = "9:MISSING"
   ;
   value S32B_A_
      998 = "998:don't know"
      999 = "999:MISSING"
   ;
   value S32B_B_
      998 = "998:don't know"
      999 = "999:MISSING"
   ;
   value S32B_C_
      998 = "998:don't know"
      999 = "999:MISSING"
   ;
   value S32B_D_
      998 = "998:don't know"
      999 = "999:MISSING"
   ;
   value S32B_E_
      998 = "998:don't know"
      999 = "999:MISSING"
   ;
   value S32B_F_
      998 = "998:don't know"
      999 = "999:MISSING"
   ;
   value S32B_V_
      998 = "998:don't know"
      999 = "999:MISSING"
   ;
   value $S32B_X_
      'A' = "A:islam"
      'B' = "B:catholic"
      'C' = "C:protestant"
      'D' = "D:hindu"
      'E' = "E:budha"
      'F' = "F:confucius"
      'V' = "V:others"
      'Z' = "Z:MISSING"
   ;
   value S32X_
      1 = "1:document"
      3 = "3:current estimate"
      8 = "8:don't know"
      9 = "9:MISSING"
   ;
   value S37B_
      1 = "1:document"
      3 = "3:estimation"
      9 = "9:MISSING"
   ;
   value $S37D_
      'A' = "A:BKKBN"
      'B' = "B:BPS"
      'C' = "C:health ministry"
      'D' = "D:village/township"
      'E' = "E:regional goverment"
      'V' = "V:other"
      'Z' = "Z:MISSING"
   ;
   value S14A_
      1 = "1:yes"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value IVWMTH_B2_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value MODE_B2_
      1 = "1:Entry"
      2 = "2:Modification"
      3 = "3:Verification"
   ;
   value PARTIAL_B2_
      1 = "1:Partial save"
      2 = "2:Complete"
   ;
   run;
