proc format;
   value $A10_
      'A' = "A:government hospital"
      'B' = "B:private hospital"
      'C' = "C:maternity hospital"
      'D' = "D:health center (puskesmas)"
      'E' = "E:village maternity clinic (polindes)"
      'F' = "F:clinic/ private doctor"
      'G' = "G:clinik/private midwife"
      'H' = "H:traditional midwife's house"
      'I' = "I:own home"
      'J' = "J:family's house"
      'V' = "V:other"
      'Z' = "Z:MISSING"
   ;
   value $A11_
      'A' = "A:doctor"
      'B' = "B:midwife"
      'C' = "C:village midwife"
      'D' = "D:nurse"
      'E' = "E:traditional midwife (dukun bayi)"
      'G' = "G:no one assist"
      'I' = "I:posyandu cadre"
      'V' = "V:other"
      'Z' = "Z:MISSING"
   ;
   value A11AX_
      1 = "1:filled"
      6 = "6:nothing _-> a12"
      8 = "8:don't know"
      9 = "9:MISSING"
   ;
   value A11B_
      1 = "1:>=75%"
      2 = "50% - 74%"
      3 = "25% - 49%"
      4 = "4:<25%"
      8 = "8:don't know"
      9 = "9:MISSING"
   ;
   value $A12_
      'A' = "A:lack of fund"
      'B' = "B:lack of medical supply"
      'C' = "C:lack of equipment"
      'D' = "D:lack of active cadres"
      'E' = "E:lack of support from puskesmas"
      'F' = "F:lack of support from village /township"
      'G' = "G:no permanent place"
      'H' = "H:lack of interest/ participation"
      'V' = "V:other"
      'W' = "W:no problem"
      'Z' = "Z:MISSING"
   ;
   value $A13_
      'A' = "A:lack of fund"
      'B' = "B:lack of medical supply"
      'C' = "C:lack of equipment"
      'D' = "D:lack of active cadres"
      'E' = "E:lack of support from puskesmas"
      'F' = "F:lack of support from village /township"
      'G' = "G:no permanent place"
      'H' = "H:lack of interest/ participation"
      'I' = "I:lack of KIA traning fo cadres"
      'V' = "V:other"
      'W' = "W:no problem"
      'Z' = "Z:MISSING"
   ;
   value A1X_
      1 = "1:Able to answer"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value A2_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value A2A_
      1 = "1:Yes --> a3a"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value A2B_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value A3A_
      1 = "1:Yes --> a4"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value A4A_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value A4B_
      1 = "1:pratama (lower level)"
      2 = "2:madya (middle level)"
      3 = "3:purnama (higher level)"
      4 = "4:self - sufficient"
      8 = "8:don't know"
      9 = "9:MISSING"
   ;
   value A6AJAM_
      98 = "98:DONT KNOW"
      99 = "99:MISSING"
   ;
   value A6AMNT_
      98 = "98:DONT KNOW"
      99 = "99:MISSING"
   ;
   value A6BJAM_
      98 = "98:DONT KNOW"
      99 = "99:MISSING"
   ;
   value A6BMNT_
      98 = "98:DONT KNOW"
      99 = "99:MISSING"
   ;
   value $A7_
      'A' = "A:public health center"
      'B' = "B:public health subcenter"
      'C' = "C:hospital"
      'D' = "D:clinic"
      'E' = "E:pharmacy"
      'F' = "F:private practice"
      'G' = "G:cadre's home"
      'L' = "L:village staff"
      'M' = "M:pkk meeting"
      'V' = "V:other"
      'Z' = "Z:MISSING"
   ;
   value A8A_
      1 = "1:public health center"
      2 = "2:public health subcenter"
      3 = "3:hospital"
      4 = "4:clinic"
      5 = "5:private practice"
      6 = "6:KB manunggal/safari KB"
      7 = "7:not referred"
      95 = "95:other"
      98 = "98:DONT KNOW"
      99 = "99:MISSING"
   ;
   value A8B_
      1 = "1:public health center"
      2 = "2:public health subcenter"
      3 = "3:hospital"
      4 = "4:clinic"
      5 = "5:private practice"
      6 = "6:KB manunggal/safari KB"
      7 = "7:not referred"
      95 = "95:other"
      98 = "98:DONT KNOW"
      99 = "99:MISSING"
   ;
   value A8C_
      1 = "1:public health center"
      2 = "2:public health subcenter"
      3 = "3:hospital"
      4 = "4:clinic"
      5 = "5:private practice"
      6 = "6:KB manunggal/safari KB"
      7 = "7:not referred"
      95 = "95:other"
      98 = "98:DONT KNOW"
      99 = "99:MISSING"
   ;
   value $A9_
      'A' = "A:government hospital"
      'B' = "B:private hospital"
      'C' = "C:public health center"
      'D' = "D:village maternity clinic"
      'E' = "E:clinic/private doctor"
      'F' = "F:clinik/private midwife"
      'G' = "G:traditional midwife's house"
      'I' = "I:posyandu"
      'J' = "J:village midwife"
      'V' = "V:other"
      'Z' = "Z:MISSING"
   ;
   value B0B_
      1 = "1:increase"
      2 = "2:no change"
      3 = "3:decrease"
   ;
   value B6A_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value B6B_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value B6C_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value B6D_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value B6E_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value B6V_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value B2_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value B3A_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value B4AX_
      1 = "1:Able to answer"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value B4BX_
      1 = "1:Able to answer"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value B4CX_
      1 = "1:Able to answer"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value B5DX_
      1 = "1:Able to answer"
      3 = "3:No charge"
      9 = "9:MISSING"
   ;
   value B11_
      1 = "1:increase"
      2 = "2:no change"
      3 = "3:decrease"
      9 = "9:MISSING"
   ;
   value $B12_
      'A1' = "A1:Increase in price of methods"
      'A2' = "A2:Decrease in price of methods"
      'B1' = "B1:Decrease in availability of methods"
      'B2' = "B2:Increase in availability of methods"
      'C1' = "C1:Clients can no longer afford"
      'C2' = "C2:Clients can no longer afford"
      'D1' = "D1:Switch to other method"
      'D2' = "D2:Switch from other methods"
      'E1' = "E1:High risk of side effect"
      'E2' = "E2:Low risk of side effect"
      'F' = "F:Free of charge from agovernment Program"
      'G' = "G:Improvement in awareness/knowledge of family planning"
      'H1' = "H1:Switch to other methods"
      'H2' = "H2:Switch from other methods"
      'I1' = "I1:Feel uncomfortable with the contraceptive"
      'I2' = "I2:Feel comfortable with contraceptive"
      'J' = "J:The number of reproductive couple increase"
      'K' = "K:Routine counseling"
      'V' = "V:other"
      'Y' = "Y:DON'T KNOW"
      'Z' = "Z:MISSING"
   ;
   value B8A_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value B8B_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value C2_
      1 = "1:no school/not yet at school"
      2 = "2:elementary"
      3 = "3:junior high - general"
      4 = "4:junior high - vocational"
      5 = "5:senior high - general"
      6 = "6:senior high - vocational"
      11 = "11:adult education a"
      12 = "12:adult education b"
      13 = "13:open university"
      14 = "14:islamic school pesantren"
      15 = "15:adult education c"
      17 = "17:school for the disabled"
      60 = "60:junior college"
      61 = "61:university s1 ( bachelors)"
      62 = "62:university s2 (masters)"
      63 = "63:university s3 ( doctorate)"
      72 = "72:islamic elementary school"
      73 = "73:islamic junior high school"
      74 = "74:islamic senior high school"
      90 = "90:kindergarten"
      95 = "95:other"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value C2A_
      1 = "1:yes"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value C2AA_
      1 = "1:male"
      3 = "3:female"
   ;
   value C3AX_
      1 = "1:input year"
      8 = "8:don't know"
      9 = "9:MISSING"
   ;
   value $C3C_
      'A' = "A:child development (TKA)"
      'B' = "B:service for ederly"
      'C' = "C:family planning"
      'D' = "D:environmental sanitation"
      'E' = "E:gizi"
      'V' = "V:other"
      'Y' = "Y:don't know"
      'Z' = "Z:MISSING"
   ;
   value C4AMTH_
      1 = "1:january"
      2 = "2:february"
      3 = "3:march"
      4 = "4:april"
      5 = "5:may"
      6 = "6:june"
      7 = "7:july"
      8 = "8:august"
      9 = "9:september"
      10 = "10:october"
      11 = "11:november"
      12 = "12:december"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value C4A1_
      1 = "1:yes"
      3 = "3:no --> c4a"
      6 = "6:nothing PLKB/PKB --> C4C"
      9 = "9:MISSING"
   ;
   value C4B1X_
      1 = "1:filled"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value C4B3_
      1 = "1:increased"
      2 = "2:no change"
      3 = "3:decreased"
      9 = "9:MISSING"
   ;
   value C4C_
      1 = "1:yes"
      3 = "3:no --> c5"
      9 = "9:MISSING"
   ;
   value $C4D_
      'A' = "A:BKKBN official"
      'B' = "B:volunteer official"
      'C' = "C:village midwife"
      'D' = "D:staff puskesmas"
      'V' = "V:other"
      'Z' = "Z:MISSING"
   ;
   value C4EX_
      1 = "1:filled"
      6 = "6:never"
      8 = "8:don't know"
      9 = "9:MISSING"
   ;
   value C5X_
      1 = "1:filled"
      6 = "6:never --> c6a2"
      8 = "8:don't know --> c6a2"
      9 = "9:MISSING"
   ;
   value C6A_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value C6A2_
      1 = "1:increase"
      2 = "2:no change"
      3 = "3:decrease"
      9 = "9:MISSING"
   ;
   value C6B_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value C6C_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value C6D_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value C6V_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value C7_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value C8X_
      1 = "1:Able to answer"
      6 = "6:Never"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value CK1POSY_
      0 = "0. Indonesian"
      1 = "1. Javanese"
      2 = "2. Sundanese"
      3 = "3. Balinese"
      4 = "4. Batak"
      5 = "5. Bugis"
      6 = "6. Chinese"
      7 = "7. Maduranese"
      8 = "8. Sasak"
      9 = "9. Minang"
      10 = "10. Banjar"
      11 = "11. Bima"
      12 = "12. Makasar"
      13 = "13. Nias"
      14 = "14. Palembang"
      15 = "15. Sumbawa"
      16 = "16. Toraja"
      17 = "17. Lahat"
      18 = "18. Other South Sumatra"
      19 = "19. Betawi"
      20 = "20. Lampung"
      95 = "95. Other"
      98 = "98. DON'T KNOW"
      99 = "99. Missing"
   ;
   value CK2POSY_
      0 = "0. Indonesian"
      1 = "1. Javanese"
      2 = "2. Sundanese"
      3 = "3. Balinese"
      4 = "4. Batak"
      5 = "5. Bugis"
      6 = "6. Chinese"
      7 = "7. Maduranese"
      8 = "8. Sasak"
      9 = "9. Minang"
      10 = "10. Banjar"
      11 = "11. Bima"
      12 = "12. Makasar"
      13 = "13. Nias"
      14 = "14. Palembang"
      15 = "15. Sumbawa"
      16 = "16. Toraja"
      17 = "17. Lahat"
      18 = "18. Other South Sumatra"
      19 = "19. Betawi"
      20 = "20. Lampung"
      95 = "95. Other"
      96 = "96. No other"
      99 = "99. Missing"
   ;
   value COV00POSY_
      1 = "1:Interviewed"
      3 = "3:Not interviewed"
   ;
   value FP2_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value FP3_
      1 = "1. Completed"
      2 = "2. Partially completed"
      3 = "3. Not completed"
   ;
   value FP4_
      1 = "1. Resp. not at home/did not found"
      2 = "2. Resp. was too busy"
      3 = "3. Resp. refused"
      6 = "6. NA"
   ;
   value FP6A_
      1 = "1. Yes"
      3 = "3. No"
      9 = "9. Missing"
   ;
   value FP6B_
      1 = "1. Yes"
      3 = "3. No"
      9 = "9. Missing"
   ;
   value FP6C_
      1 = "1. Yes"
      3 = "3. No"
      9 = "9. MISSING"
   ;
   value D2_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value D6X_
      1 = "1:Able to answer"
      6 = "6:never available"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value INTRO_A1_
      1 = "1:interview continues"
      9 = "9:nterview is not completed"
   ;
   value INTRO_B1_
      1 = "1:interview continues"
      9 = "9:interview is not completed"
   ;
   value $INTRO_B2_
      'A' = "A:Weighing babies / children"
      'B' = "B:Provision of supplementary food"
      'C' = "C:Provision of Oralit"
      'D' = "D:Immunization service"
      'E' = "E:Pregnancy examination"
      'E1' = "E1:Provision of iron vitamin supplements"
      'E2' = "E2:Provision of vitamin A supplements"
      'F' = "F:Treatment of patients"
      'G' = "G:Child development (TKA)"
      'H' = "H:Mother and child heath (KIA)"
      'W' = "W:nothing"
   ;
   value $INTRO_B3_
      'B7A' = "B7A:Oral contraceptive"
      'B7B' = "B7B:Condom (per unit)"
      'B7C' = "B7C:Injectable contraceptive"
      'B7D' = "B7D:Overcoming  side effects (per action)"
      'B7E' = "B7E:Family Planning counseling"
      'W' = "W:nothing"
   ;
   value INTRO_C1_
      1 = "1:interview continues"
      9 = "9:interview is not completed"
   ;
   value $INTRO_C2_
      'A' = "A:information on immunization"
      'B' = "B:information on kb"
      'C' = "C:mobile medical team (tmk)"
      'D' = "D:sanitation program"
      'E' = "E:information on mother and child health (KIA)"
      'F' = "F:service for posyandu for the elderly"
      'W' = "W:nothing"
   ;
   value INTRO_D1_
      1 = "1:interview continues"
      9 = "9:interview is not completed"
   ;
   value $INTRO_D2_
      'A' = "A:baby scales"
      'B' = "B:heigh measuring device"
      'C' = "C:kms cards"
      'D' = "D:pregnant mother cards"
      'E' = "E:oral contraceptive pills"
      'G' = "G:demonstration tool/book"
      'H' = "H:oralit"
      'I' = "I:iron tablets/ sulfas ferosus"
      'J' = "J:vitamin a"
      'K' = "K:paracetamol/other lowering fever medicine"
      'L' = "L:children's toys"
      'M' = "M:instruction book for the binakeluargabalita program"
      'N' = "N:adult scale"
      'O' = "O:tensimeter"
      'P' = "P:osteoporosis kit"
      'Q' = "Q:cholesterol kit"
      'R' = "R:stethoscope"
      'S' = "S:thermometer"
      'W' = "W:nothing"
   ;
   value INTRO_PRP1_
      1 = "1:Interview continued"
      9 = "9:Interview ended"
   ;
   value INTRO_PRP2_
      1 = "1:Interview continued"
      9 = "9:Interview ended"
   ;
   value INTRO_SDP1_
      1 = "1:Interview continued"
      9 = "9:Interview ended"
   ;
   value INTRO_SDP2_
      1 = "1:Interview continued"
      9 = "9:Interview ended"
   ;
   value POSY_MOVER_
      0 = "0:cancel"
      1 = "1:cover posyandu"
      2 = "2:lk01 - lk24"
      3 = "3:kr01 - kr07"
      4 = "4:a1 - a13"
      5 = "5:b0a - b12"
      6 = "6:c1 - c3"
      7 = "7:c4a1 - c8"
      8 = "8:d1 - d6"
      9 = "9:sdp00 - sdp03"
      10 = "10:sdp04"
      11 = "11:prp00 - prp03a"
      12 = "12:interview notes"
   ;
   value KR02A_A1_
      1 = "1:Male"
      3 = "3:Female"
      9 = "9:MISSING"
   ;
   value KR02A_B1_
      1 = "1:male"
      3 = "3:female"
      9 = "9:MISSING"
   ;
   value KR02A_C1_
      1 = "1:male"
      3 = "3:female"
      9 = "9:MISSING"
   ;
   value KR02A_D1_
      1 = "1:male"
      3 = "3:female"
      9 = "9:MISSING"
   ;
   value KR02A_PRP1_
      1 = "1:male"
      3 = "3:female"
      9 = "9:MISSING"
   ;
   value KR02A_SDP1_
      1 = "1:male"
      3 = "3:female"
      9 = "9:MISSING"
   ;
   value KR03_A1_
      1 = "1:head of posyandu"
      2 = "2:posyandu cadre"
      5 = "5:other"
      8 = "8:don't know"
      9 = "9:MISSING"
   ;
   value KR03_B1_
      1 = "1:head of posyandu"
      2 = "2:posyandu cadre"
      5 = "5:other"
      8 = "8:don't know"
      9 = "9:MISSING"
   ;
   value KR03_C1_
      1 = "1:head of posyandu"
      2 = "2:posyandu cadre"
      5 = "5:other"
      8 = "8:don't know"
      9 = "9:MISSING"
   ;
   value KR03_D1_
      1 = "1:head of posyandu"
      2 = "2:posyandu cadre"
      5 = "5:other"
      8 = "8:don't know"
      9 = "9:MISSING"
   ;
   value KR03_PRP1_
      1 = "1:head of posyandu"
      2 = "2:posyandu cadre"
      5 = "5:other"
      8 = "8:don't know"
      9 = "9:MISSING"
   ;
   value KR03_SDP1_
      1 = "1:head of posyandu"
      2 = "2:posyandu cadre"
      5 = "5:other"
      8 = "8:don't know"
      9 = "9:MISSING"
   ;
   value KR05_A1_
      1 = "1:no school/not yet at school"
      2 = "2:elementary"
      3 = "3:junior high - general"
      4 = "4:junior high - vocational"
      5 = "5:senior high - general"
      6 = "6:senior high - vocational"
      11 = "11:adult education a"
      12 = "12:adult education b"
      13 = "13:open university"
      14 = "14:islamic school pesantren"
      15 = "15:adult education c"
      17 = "17:school for the disabled"
      60 = "60:junior college"
      61 = "61:university s1 (bachelor)"
      62 = "62:university s2 (masters)"
      63 = "63:university s3 ( doctorate)"
      72 = "72:islamic elementary school"
      73 = "73:islamic junior high school"
      74 = "74:islamic senior high school"
      90 = "90:kindergarten"
      95 = "95:other"
      98 = "98:don't know"
      99 = "99:MISSING"
   ;
   value KR05_B1_
      1 = "1:no school/not yet at school"
      2 = "2:elementary"
      3 = "3:junior high - general"
      4 = "4:junior high - vocational"
      5 = "5:senior high - general"
      6 = "6:senior high - vocational"
      11 = "11:junior college"
      12 = "12:adult education a"
      13 = "13:adult education b"
      14 = "14:islamic school pesantren"
      15 = "15:adult education c"
      17 = "17:school for the disabled"
      60 = "60:junior college"
      61 = "61:university s1 (bachelor)"
      62 = "62:university s2 (masters)"
      63 = "63:university s3 ( doctorate)"
      72 = "72:islamic elementary school"
      73 = "73:islamic junior high school"
      74 = "74:islamic senior high school"
      90 = "90:kindergarten"
      95 = "95:other"
      98 = "98:don't know"
      99 = "99:MISSING"
   ;
   value KR05_C1_
      1 = "1:no school/not yet at school"
      2 = "2:elementary"
      3 = "3:junior high - general"
      4 = "4:junior high - vocational"
      5 = "5:senior high - general"
      6 = "6:senior high - vocational"
      11 = "11:adult education a"
      12 = "12:adult education b"
      13 = "13:open university"
      14 = "14:islamic school pesantren"
      15 = "15:adult education c"
      17 = "17:school for the disabled"
      60 = "60:junio college"
      61 = "61:university s1 (bachelor)"
      62 = "62:university s2 (masters)"
      63 = "63:university s3 ( doctorate)"
      72 = "72:islamic elementary school"
      73 = "73:islamic junior high school"
      74 = "74:islamic senior high school"
      90 = "90:kindergarten"
      95 = "95:other"
      98 = "98:don't know"
      99 = "99:MISSING"
   ;
   value KR05_D1_
      1 = "1:no school/not yet at school"
      2 = "2:elementary"
      3 = "3:junior high - general"
      4 = "4:junior high - vocational"
      5 = "5:senior high - general"
      6 = "6:senior high - vocational"
      11 = "11:adult education a"
      12 = "12:adult education b"
      13 = "13:open university"
      14 = "14:islamic school pesantren"
      15 = "15:adult education c"
      17 = "17:school for the disabled"
      60 = "60:junior college"
      61 = "61:university s1 (bachelor)"
      62 = "62:university s2 (masters)"
      63 = "63:university s3 ( doctorate)"
      72 = "72:islamic elementary school"
      73 = "73:islamic junior high school"
      74 = "74:islamic senior high school"
      90 = "90:kindergarten"
      95 = "95:other"
      98 = "98:don't know"
      99 = "99:MISSING"
   ;
   value KR05_PRP1_
      1 = "1:no school/not yet at school"
      2 = "2:elementary"
      3 = "3:junior  high - general"
      4 = "4:junior high - vocational"
      5 = "5:senior high - general"
      6 = "6:senior high - vocational"
      11 = "11:adult education a"
      12 = "12:adult education b"
      13 = "13:open university"
      14 = "14:islamic school pesantren"
      15 = "15:adult education c"
      17 = "17:school for the disabled"
      60 = "60:junior college"
      61 = "61:university s1 (bachelor)"
      62 = "62:university s2 (masters)"
      63 = "63:university s3 ( doctorate)"
      72 = "72:islamic elementary school"
      73 = "73:islamic junior high school"
      74 = "74:islamic senior high school"
      90 = "90:kindergarten"
      95 = "95:other"
      98 = "98:don't know"
      99 = "99:MISSING"
   ;
   value KR05_SDP1_
      1 = "1:no school/not yet at school"
      2 = "2:elementary"
      3 = "3:junior high - general"
      4 = "4:junior high - vocational"
      5 = "5:senior high - general"
      6 = "6:senior high - vocational"
      11 = "11:adult education a"
      12 = "12:adult education b"
      13 = "13:open university"
      14 = "14:islamic school pesantren"
      15 = "15:adult education c"
      17 = "17:school for the disabled"
      60 = "60:junior college"
      61 = "61:university s1 (bachelor)"
      62 = "62:university s2 (masters)"
      63 = "63:university s3 ( doctorate)"
      72 = "72:islamic elementary school"
      73 = "73:islamic junior high school"
      74 = "74:islamic senior high school"
      90 = "90:kindergarten"
      95 = "95:other"
      98 = "98:don't know"
      99 = "99:MISSING"
   ;
   value KR06_A1_
      0 = "0:never completed class 1"
      7 = "7:graduated"
      96 = "96:no school/not yet at school"
      98 = "98:don't know"
      99 = "99:MISSING"
   ;
   value KR06_B1_
      0 = "0:never completed class 1"
      7 = "7:graduated"
      96 = "96:no school/not yet at school"
      98 = "98:don't know"
      99 = "99:MISSING"
   ;
   value KR06_C1_
      0 = "0:never completed class 1"
      7 = "7:graduated"
      96 = "96:no school/not yet at school"
      98 = "98:don't know"
      99 = "99:MISSING"
   ;
   value KR06_D1_
      0 = "0:never completed class 1"
      7 = "7:graduated"
      96 = "96:no school/not yet at school"
      98 = "98:don't know"
      99 = "99:MISSING"
   ;
   value KR06_PRP1_
      0 = "0:never completed class 1"
      7 = "7:graduated"
      96 = "96:no school/not yet at school"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value KR06_SDP1_
      0 = "0:never completed class 1"
      7 = "7:graduated"
      96 = "96:no school/not yet at school"
      98 = "98:don't know"
      99 = "99:MISSING"
   ;
   value LK05_
      1 = "1:Urban"
      2 = "2:Rural"
      9 = "9:MISSING"
   ;
   value $LK09X_
      'A' = "A:home phone"
      'B' = "B:handphone"
      'W' = "W:nothing"
      'Y' = "Y:don't know"
      'Z' = "Z:MISSING"
   ;
   value LK20_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value LK21_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value LK22_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value LK23_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value LK24_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PRP00_
      1 = "1:yes"
      3 = "3:no --> section CP"
      9 = "9:MISSING"
   ;
   value PRP01A_
      1 = "1:yes"
      3 = "3:no -->section CP"
      9 = "9:MISSING"
   ;
   value PRP03A_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value PRP03B_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value PRP03C_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value PRP03D_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value PRP03E_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value PRP03F_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value PRP01C_
      1 = "1:yes"
      3 = "3:no"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value PRP02X_
      1 = "1:Able to answer"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value SDP00_
      1 = "1:yes"
      3 = "3:no --> sdp02a"
      9 = "9:MISSING"
   ;
   value SDP00A_
      1 = "1:if yes"
      3 = "3:if no"
      9 = "9:MISSING"
   ;
   value SDP02C2_
      3 = "3:hour"
      5 = "5:days"
      9 = "9:MISSING"
   ;
   value SDP03_
      1 = "1:yes"
      3 = "3:no --> SECTION PRP"
      9 = "9:MISSING"
   ;
   value SDP03A_
      1 = "1:yes"
      3 = "3:no --> SDP03"
      9 = "9:MISSING"
   ;
   value $SDP03C_
      'A' = "A:puskesmas/pustu"
      'B' = "B:BKKBN/PLKB"
      'C' = "C:village"
      'V' = "V:other"
   ;
   value SDP03DC2_
      3 = "3:hour"
      5 = "5:days"
      9 = "9:MISSING"
   ;
   value $INTRO_SDP04_
      'A' = "A:cash"
      'B' = "B:food"
      'C' = "C:vitamin"
      'D' = "D:vaccination"
      'E' = "E:other equipment"
      'W' = "W:nothing"
   ;
   value $SDP04_
      'A' = "A:cash"
      'B' = "B:food"
      'C' = "C:vitamin"
      'D' = "D:vaccination"
      'E' = "E:other equipment"
      'W' = "W:nothing"
   ;
   value SDP04A_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value SDP04B_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value SDP04C_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value SDP04D_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value SDP04E_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value MODE_POSY_
      1 = "1:Entry"
      2 = "2:Modification"
      3 = "3:Verification"
   ;
   value PARTIAL_POSY_
      1 = "1:Partial save"
      2 = "2:Complete"
   ;
   run;
