proc format;
   value $SECTION1_
      'A' = "A:Head of Puskesmas"
      'AKM' = "AKM:Askeskin/JPKMM Program"
      'B' = "B:Puskemas Infrastructure"
      'C' = "C:Puskesmas Activities"
      'D' = "D:Puskesmas Manpower"
      'DM' = "DM:Decision Making"
      'E' = "E:Puskesmas Health Equipment"
      'F' = "F:Direct Observation"
      'G' = "G:Family Planning Services"
      'SDP' = "SDP:Puskesmas Resources"
   ;
   value A10_
      1 = "1:Yes"
      3 = "3:No  ->A25A"
      9 = "9:MISSING"
   ;
   value A10A_X_
      1 = "1:Rupiah given"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value A1A_
      1 = "1:High school/paramedics school"
      2 = "2:D1/midwife"
      3 = "3:D2"
      4 = "4:D3/Akper (nurse academy)"
      5 = "5:Other college"
      6 = "6:Bachelor degree in public health"
      7 = "7:S2/S3 (Master's/PhD)"
      95 = "95:Other"
      99 = "99:MISSING"
   ;
   value A1AX_
      1 = "1:University of Indonesia"
      2 = "2:University of Gadjah Mada"
      3 = "3:University of Airlangga"
      4 = "4:University of  Diponegoro"
      5 = "5:University of  Padjadjaran"
      6 = "6:Other state university"
      7 = "7:Private university"
      95 = "95:Other"
      99 = "99:MISSING"
   ;
   value A1B_
      1 = "1:Accreditation A"
      2 = "2:Accreditation B"
      3 = "3:Accreditation C"
4 = "Still in process"
      5 = "5:Not accredited"
      6 = "6:Have not been registered"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value A1_B_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value $A25_
      'A' = "A:Lack of funds"
      'B' = "B:Lack of medical staff"
      'C' = "C:Lack of supplies"
      'D' = "D:Lack of equipment"
      'E' = "E:Coverage too large"
      'F' = "F:Lack of support from village"
      'G' = "G:Medical equipment repair"
      'V' = "V:Other"
      'Z' = "Z:MISSING"
   ;
   value A25A_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value A2MTH_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value A2YR_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value A3_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value A4X_
      1 = "1:Hours given"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value A5A_X_
      1 = "1:Rupiah given"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value A5X_
      1 = "1:Hours given"
      6 = "6:No"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value A6_
      1 = "1:Yes  ->A9"
      3 = "3:No"
      6 = "6:NO DOCTOR ->A9"
      9 = "9:MISSING"
   ;
   value $A7_
      'A' = "A:Patients referred by paramedics/midwives"
      'B' = "B:Patients with special arrangements"
      'C' = "C:Patients with difficult cases"
      'V' = "V:Other"
      'Z' = "Z:MISSING"
   ;
   value A8X_
      1 = "1:Given"
      6 = "6:NONE"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value A9X_
      1 = "1:Hours given"
      6 = "6:NONE"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value AA0_
      1 = "1:Head of Puskesmas/Pustu"
      2 = "2:Deputy head of puskesmas"
      5 = "5:Other"
      9 = "9:MISSING"
   ;
   value AA1_
      1 = "1:Male"
      3 = "3:Female"
   ;
   value AAX_
      1 = "1:Head of Puskesmas/Pustu"
      3 = "3:Acting Head of Puskesmas/Pustu"
      9 = "9:MISSING"
   ;
   value AB_
      1 = "1:Doctor"
      2 = "2:Not a doctor"
      9 = "9:MISSING"
   ;
   value A27AB_
      1 = "1:Yes, became better"
      2 = "2:No influence"
      3 = "3:Yes, became worse"
      9 = "9:MISSING"
   ;
   value A27BB_
      1 = "1:Yes"
      3 = "3:No -> NEXT LINE"
      9 = "9:MISSING"
   ;
   value $ATYPE_
      'A' = "A:Availability of drugs"
      'B' = "B:Availability of supplies"
      'C' = "C:Availability of water"
      'D' = "D:Price of drugs"
      'E' = "E:Price of equipment"
      'F' = "F:Price of fuel"
      'G' = "G:Price of other goods"
      'H' = "H:Number of patients"
      'I' = "I:Number of staff"
      'J' = "J:Supply of contraceptives"
      'K' = "K:Air quality (as the result of forest fire)"
   ;
   value AKM01_
      1 = "1:Yes"
      3 = "3:No -> AKM01A"
      9 = "9:MISSING"
   ;
   value AKM01A_
      1 = "1:Yes"
      3 = "3:No  --> AKM09"
      9 = "9:MISSING"
   ;
   value AKM02AMTH_A_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value AKM02AMTH_B_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value $AKM02AX_
      'A' = "A:JKN"
      'B' = "B:KIS"
      'Y' = "Y:DON'T KNOW"
      'Z' = "Z:MISSING"
   ;
   value AKM02AYR_A_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value AKM02AYR_B_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value AKM02MTH_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value AKM02X_
      1 = "1:Yes"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value AKM02YR_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value AKM03_
      1 = "1:Yes"
      3 = "3:No  => AKM04A"
      9 = "9:MISSING"
   ;
   value AKM03A_
      1 = "1:yes"
      3 = "3:no --> AKM04A1"
      9 = "9:MISSING"
   ;
   value AKM04_
      1 = "1:Showing letter of poverty status (SKTM)"
      2 = "2:Showing healt card/Askeskin/Jampersal"
      5 = "5:Other"
      9 = "9:MISSING"
   ;
   value AKM04A1X_
      1 = "1:Rupiah given"
      3 = "3:free of charge"
      9 = "9:MISSING"
   ;
   value AKM04AA_
      1 = "1:Showing letter of poverty status (SKTM)"
      2 = "2:Showing healt card/Askeskin/Jampersal"
      3 = "3:Showing KPS card"
      5 = "5:MISSING"
      9 = "9:MISSING"
   ;
   value AKM04AX_
      1 = "1:Rupiah given"
      3 = "3:free of charge"
      9 = "9:MISSING"
   ;
   value AKM07_
      1 = "1:Yes"
      3 = "3:No  => SEKSI DM"
      9 = "9:MISSING"
   ;
   value $AKM08_
      'A' = "A:Central goverment"
      'B' = "B:Kabupaten/kotamadya goverment"
      'C' = "C:Religious groups"
      'D' = "D:Political groups"
      'E' = "E:Local NGO"
      'F' = "F:Private individuals"
      'G' = "G:Private businesses"
      'H' = "H:Foreign goverment/NGO/donor"
      'V' = "V:Other"
      'Z' = "Z:MISSING"
   ;
   value AKM09_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value AKM05X_
      1 = "1:Rupiah given"
      2 = "2:No difference"
      3 = "3:Free of charge"
      6 = "6:SERVICE NOT OFFERED"
      9 = "9:MISSING"
   ;
   value $JPS1TYPE_
      'A' = "A:General examination + medicine/injection for adult"
      'H' = "H:Contraceptive pills"
      'I' = "I:Family Planning injection"
      'J' = "J:Check-up+injections and medicine for child"
      'K' = "K:Pregnancy check"
      'L' = "L:Normal labor/childbirth"
      'M' = "M:Neonatal check (newborn aged 0-28 days)"
      'N' = "N:Child immunization"
   ;
   value AKM05AX_
      1 = "1:Rupiah given"
      2 = "2:No difference"
      3 = "3:Free of charge"
      6 = "6:SERVICE NOT OFFERED"
      9 = "9:MISSING"
   ;
   value $JKN1TYPE_
      'A' = "A:General examination + medicine/injection for adult"
      'H' = "H:Contraceptive pills"
      'I' = "I:Family Planning injection"
      'J' = "J:Check-up+injections and medicine for child"
      'K' = "K:Pregnancy check"
      'L' = "L:Normal labor/childbirth"
      'M' = "M:Neonatal check (newborn aged 0-28 days)"
      'N' = "N:Child immunization"
   ;
   value CK1_
      0 = "0. Indonesian"
      1 = "1. Javanese"
      2 = "2. Sundanese"
      3 = "3. Balinese"
      4 = "4. Batak"
      5 = "5. Bugis"
      6 = "6. Chinese"
      7 = "7. Maduranese"
      8 = "8. Sasak"
      9 = "9. Minang"
      10 = "10. Banjar"
      11 = "11. Bima"
      12 = "12. Makasar"
      13 = "13. Nias"
      14 = "14. Palembang"
      15 = "15. Sumbawa"
      16 = "16. Toraja"
      17 = "17. Lahat"
      18 = "18. Other South Sumatra"
      19 = "19. Betawi"
      20 = "20. Lampung"
      95 = "95. Other"
      99 = "99:MISSING"
   ;
   value CK2_
      0 = "0. Indonesian"
      1 = "1. Javanese"
      2 = "2. Sundanese"
      3 = "3. Balinese"
      4 = "4. Batak"
      5 = "5. Bugis"
      6 = "6. Chinese"
      7 = "7. Maduranese"
      8 = "8. Sasak"
      9 = "9. Minang"
      10 = "10. Banjar"
      11 = "11. Bima"
      12 = "12. Makasar"
      13 = "13. Nias"
      14 = "14. Palembang"
      15 = "15. Sumbawa"
      16 = "16. Toraja"
      17 = "17. Lahat"
      18 = "18. Other South Sumatra"
      19 = "19. Betawi"
      20 = "20. Lampung"
      95 = "95. Other"
      96 = "96:TIDAK ADA"
      99 = "99. MISSING"
   ;
   value COV00_
      1 = "1:Interviewed"
      3 = "3:Not interviewed"
   ;
   value FP2_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value FP3_
      1 = "1. Completed"
      2 = "2. Partially completed"
      3 = "3. Not completed"
   ;
   value FP4_
      1 = "1. Resp. not at home/did not found"
      2 = "2. Resp. was too busy"
      3 = "3. Resp. refused"
      6 = "6. NA"
      9 = "9. MISSING"
   ;
   value FP6A_
      1 = "1. Yes"
      3 = "3. No"
      9 = "9. MISSING"
   ;
   value FP6B_
      1 = "1. Yes"
      3 = "3. No"
      9 = "9. MISSING"
   ;
   value FP6C_
      1 = "1. Yes"
      3 = "3. No"
      9 = "9. MISSING"
   ;
   value DM1A_
      1 = "1:Give suggestions"
      2 = "2:Make decisions"
      3 = "3:Abide by decision from higher authority"
      9 = "9:MISSING"
   ;
   value DM1B_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value DM1C_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value DM1D_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value $DM1TYPE_
      'A' = "A:Hiring and firing of staff (PNS)"
      'A1' = "A1:Hiring and firing of honorary staff"
'B' = "Levels and procedure for payroll (PNS)"
'B1' = "Levels and procedure of salary for honorary staff"
      'C' = "C:Service provision"
      'D' = "D:Kinds of medicine to be purchased and time of purchase"
      'E' = "E:Kinds of medical equipment to be purchased and time of purchase"
      'F' = "F:Charge of service"
      'G' = "G:Price of medicine"
      'H' = "H:Building maintenance and expansion"
   ;
   value $INTRO_DM1_
      'A' = "A:Puskesmas"
      'B' = "B:Kabupaten/kota health unit (dinas)"
      'C' = "C:Kabupaten/kota planning board"
      'D' = "D:Central goverment (health ministry)"
      'Z' = "Z:MISSING"
   ;
   value DM2A_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value DM2B_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value $DM2TYPE_
      'A' = "A:Hiring and firing of staff"
'B' = "Levels and procedure for payroll"
      'C' = "C:Service provision"
      'D' = "D:Kinds of medicine to be purchased and time of purchase"
      'E' = "E:Kinds of medical equipment to be purchased and time of purchase"
      'F' = "F:Charge of service"
      'G' = "G:Price of medicine"
      'H' = "H:Building maintenance and expansion"
   ;
   value A26_
      1 = "1:Interview continued"
      9 = "9:Interview ended"
   ;
   value H10_
      1 = "1:Interview continued"
      9 = "9:Interview ended"
   ;
   value H10_2_
      1 = "1:Interview continued"
      9 = "9:Interview ended"
   ;
   value $H11_
      'A' = "A:How long have you suffered from this condition?"
      'B' = "B:Any shortness of breath?"
      'C' = "C:Is there any blood when you cough?"
      'D' = "D:What was the color of the sputum?"
      'E' = "E:Do you have any pain in the chest?"
      'F' = "F:Any weight loss?"
      'G' = "G:Is cough productive?"
      'H' = "H:Any contact with others with respiratory problems/TB?"
      'I' = "I:Any night sweats?"
      'J' = "J:What medicine have been taken?"
      'K' = "K:Any fever?"
      'L' = "L:Feeling weak?"
      'M' = "M:Any headache"
      'N' = "N:Losing appetite?"
      'O' = "O:Nauseous?"
      'W' = "W:PROMPTED"
   ;
   value H11_2_
      1 = "1:Interview continued"
      9 = "9:Interview ended"
   ;
   value $H12_
      'A' = "A:Previous TB case or took TB medicine?"
      'B' = "B:BCG immunization or ever positive PPD?"
      'C' = "C:History of asthma or COPD?"
      'D' = "D:History of cardiac problems?"
      'E' = "E:History of malignancy or gastric surgery?"
      'F' = "F:Medications recently or currently taking?"
      'G' = "G:Drug allergies?"
      'H' = "H:Smoking history?"
      'I' = "I:Number of packages/quantity of smoking?"
      'J' = "J:Alcohol use?"
      'K' = "K:Live alone or with others?"
      'L' = "L:Employment?"
      'M' = "M:Family health history?"
      'N' = "N:Sanitation, ventilation at home?"
      'W' = "W:PROMPTED"
   ;
   value H12_2_
      1 = "1:Interview continued"
      9 = "9:Interview ended"
   ;
   value $H13_
      'A' = "A:Examine general appearance?"
      'B' = "B:Take temperature?"
      'C' = "C:Listen to respiration?"
      'D' = "D:Check for sore throat?"
      'E' = "E:Palpitate / feel throat / lymph nodes?"
      'F' = "F:Is chest indrawing?"
      'G' = "G:Palpate abdomen?"
      'H' = "H:Pulse"
      'I' = "I:blood presure"
      'W' = "W:PROMPTED"
   ;
   value H13_2_
      1 = "1:Interview continued"
      9 = "9:Interview ended"
   ;
   value $H14_
      'A' = "A:Chest x-ray"
      'B' = "B:PPD ormantoux test"
      'C' = "C:Sputum exam for TB"
      'D' = "D:Routine bloodwork"
      'E' = "E:Liver function"
      'F' = "F:CD4/cell count"
      'G' = "G:urin analysis"
      'W' = "W:PROMPTED"
   ;
   value H14_2_
      1 = "1:Interview continued"
      9 = "9:Interview ended"
   ;
   value H23_
      1 = "1:Interview continued"
      9 = "9:Interview ended"
   ;
   value H24_
      1 = "1:Interview continued"
      9 = "9:Interview ended"
   ;
   value H24_2_
      1 = "1:Interview continued"
   ;
   value $H25_
      'A' = "A:How long have you suffered from this condition?"
      'B' = "B:Medications recently or currently taking?"
      'C' = "C:Do you have to urinate frequently?"
      'D' = "D:Frequent thirst?"
      'E' = "E:Any weight loss?"
      'F' = "F:any sweating?"
      'G' = "G:Any anxiety or heart palpitations?"
      'H' = "H:Abdominal fullness prematurely after meals?"
      'I' = "I:Edema or weight retention?"
      'J' = "J:Current treatment for hypertension?"
      'K' = "K:Often feel tingling?"
      'L' = "L:wound that stays"
      'M' = "M:often have ulcer"
      'N' = "N:family history"
      'O' = "O:feel weary"
      'P' = "P:Have check blood sugar?"
      'W' = "W:PROMPTED"
   ;
   value H25_2_
      1 = "1:Interview continued"
   ;
   value $H26_
      'A' = "A:History of hypertension?"
      'B' = "B:History of high cholesterol?"
      'C' = "C:Co-existing or prior heart condition?"
      'D' = "D:Prior eye examination?"
      'E' = "E:Prior hospitalization?"
      'F' = "F:Prior diabetic coma?"
      'G' = "G:Prior renal failure?"
      'H' = "H:Does he smoke regularly?"
      'I' = "I:Number of packages/quantity of smoking?"
      'J' = "J:Alcohol use?"
      'K' = "K:immunization history?"
      'L' = "L:reguler exercise"
      'M' = "M:Questions about nutrion/eating habits?"
      'N' = "N:Is there any family member with this disease?"
      'W' = "W:PROMPTED"
   ;
   value H26_2_
      1 = "1:Interview continued"
   ;
   value $H27_
      'A' = "A:blood presure in one arm?"
      'B' = "B:blood presure in both arm?"
      'C' = "C:Listen to chest/heart?"
      'D' = "D:listen to abdomen"
      'E' = "E:examine the feet"
      'F' = "F:Examine peripheral vascular system?"
      'G' = "G:check for edema ?"
      'H' = "H:Examine prostate?"
      'I' = "I:pulse"
      'J' = "J:Respiration"
      'W' = "W:PROMPTED"
   ;
   value H27_2_
      1 = "1:interview continue"
   ;
   value $H28_
      'A' = "A:Chest x-ray?"
      'B' = "B:Blood chemistry:"
      'C' = "C:Sputum exam?"
      'D' = "D:CBC (Complete Blood Count)?"
      'E' = "E:Test for triglycerides?"
      'F' = "F:Ultrasound?"
      'G' = "G:Liver function?"
      'H' = "H:HgbA1c?"
      'I' = "I:Hepatic enzymes?"
      'W' = "W:PROMPTED"
   ;
   value H28_2_
      1 = "1:Interview continued"
   ;
   value $H29_
      'A' = "A:Recommend stop smoking?"
      'B' = "B:Nutritional advice?"
      'C' = "C:Advice about exercise?"
      'D' = "D:Examine the feet?"
      'E' = "E:Refer to other specialist (eye,foot, or heart)?"
      'F' = "F:Prescribe anti-hypertensives?"
      'G' = "G:Prescribe Metformin?"
      'H' = "H:Make an appointment for the next visit?"
      'W' = "W:PROMPTED"
   ;
   value H29_2_
      1 = "1:Interview continued"
   ;
   value H38_
      1 = "1:Interview continued"
      9 = "9:Interview ended"
   ;
   value H39_
      1 = "1:interview continue"
      9 = "9:interview not completed"
   ;
   value H39_2_
      1 = "1:Interview continued"
   ;
   value $H40_
      'A' = "A:When did the diarrhea start?"
      'B' = "B:How frequently does diarrhea occur?"
      'C' = "C:What do the feces/vomit look like of smell like"
      'D' = "D:Any blood in vomit?"
      'E' = "E:Any blood in stools?"
      'F' = "F:Any fever?"
      'G' = "G:Level of activity (active vs listless)?"
      'H' = "H:Is the child feeding and drinking?"
      'I' = "I:Given any medication already?"
      'J' = "J:Any evidence of dehydration?"
      'K' = "K:Vomits everything?"
      'L' = "L:Has convulsions?"
      'M' = "M:Eaten anything unusual?"
      'N' = "N:Any ill contacts?"
      'O' = "O:Urinating?"
      'W' = "W:PROMPTED"
   ;
   value H40_2_
      1 = "1:Interview continued"
   ;
   value $H41_
      'A' = "A:History of similar disease?"
      'B' = "B:Drug allergies?"
      'C' = "C:Any other medical or surgical problems or HIV?"
      'D' = "D:Any complications at delivery or prematurity?"
      'E' = "E:Access to water or sanitation?"
      'F' = "F:Immunization history?"
      'G' = "G:Breastfeeding/other fluids?"
      'H' = "H:Digestive system normal?"
      'I' = "I:Ever had surgery on digestive organs?"
      'K' = "K:Eating"
      'L' = "L:Baby care"
      'W' = "W:PROMPTED"
   ;
   value H41_2_
      1 = "1:Interview continued"
   ;
   value $H42_
      'A' = "A:Check appearance / alertness?"
      'B' = "B:Take her temperature?"
      'C' = "C:Examine the crown of the head?"
      'D' = "D:Check pulse?"
      'E' = "E:weigh?"
      'F' = "F:check heigh?"
      'G' = "G:Determine capillary refill time/check nailbeds?"
      'H' = "H:examine eyes"
      'I' = "I:Check skin turgor/elasticity?"
      'J' = "J:Auscultate abdomen for bowel sounds?"
      'K' = "K:Palpitate abdomen?"
      'L' = "L:Check feces for blood or mucous"
      'M' = "M:Check palms of hands?"
      'N' = "N:Check for edema in feet?"
      'O' = "O:Breathing normally?"
      'P' = "P:Blood pressure?"
      'W' = "W:PROMPTED"
   ;
   value H42_2_
      1 = "1:Interview continued"
   ;
   value $H43_
      'A' = "A:Routine bloodwork/CBC?"
      'B' = "B:Stool culture?"
      'C' = "C:Blood smear/dipstick for malaria?"
      'W' = "W:PROMPTED"
   ;
   value H43_2_
      1 = "1:Interview continued"
   ;
   value $H44_
      'A' = "A:Recommend to increase fluids?"
      'B' = "B:Provide rehydration solution in clinic?"
      'C' = "C:Show how/recommend rehydration solution for home?"
      'D' = "D:Recommend vitamin supplements?"
      'E' = "E:Recommend medicine for fever?"
      'F' = "F:Instruct about returning to clinic if health worsens?"
      'G' = "G:Update immunizations?"
      'H' = "H:Administrate IV fluids?"
      'I' = "I:Recommend antibiotics?"
      'J' = "J:hospitalize?"
      'K' = "K:Continue to breastfeed?"
      'W' = "W:PROMPTED"
   ;
   value H44_2_
      1 = "1:Interview continued"
   ;
   value H45_
      1 = "1:Yes"
      3 = "3:No => CP"
      9 = "9:MISSING"
   ;
   value H53_
      1 = "1:Interview continued"
      9 = "9:Interview ended"
   ;
   value H54_
      1 = "1:Interview continued"
      9 = "9:Interview ended"
   ;
   value H54_2_
      1 = "1:Interview contnued"
   ;
   value $H55_
      'A' = "A:Number of prior pregnancies?"
      'B' = "B:Number of living children"
      'C' = "C:Number of miscarriages/abortions/stillbirths?"
      'D' = "D:Any bleeding during previous labor?"
      'E' = "E:How the last child was delivered?"
      'F' = "F:Birth weight of previous child?"
      'G' = "G:History of genetic anamolies?"
      'H' = "H:Gynecological history (STIs, pap smear, contraceptive use, etc.)"
      'W' = "W:PROMPTED"
   ;
   value H55_2_
      1 = "1:Interview contnued"
   ;
   value $H56_
      'A' = "A:Last menstrual date?"
      'B' = "B:Any health problems now?"
      'C' = "C:Any obstetric symptoms (contractions, vaginal bleeding, etc)?"
      'D' = "D:Any weight loss/gain, nausea, vomiting?"
      'E' = "E:Taking any medications now?"
      'W' = "W:PROMPTED"
   ;
   value H56_2_
      1 = "1:Interview contnued"
   ;
   value $H57_
      'A' = "A:Any history of high blood pressure?"
      'B' = "B:Any history of diabetes?"
      'C' = "C:Any previous STI, including HIV+?"
      'D' = "D:Any previous IUD or contraceptive use?"
      'E' = "E:Tetanus shot in previous pregnancy?"
      'F' = "F:Any previous heart disease?"
      'G' = "G:Family history of hereditary disease?"
      'H' = "H:Ever had malaria?"
      'I' = "I:Present or previous smoker?"
      'J' = "J:Any history of alcohol use?"
      'K' = "K:Assess whether pregnancy is high risk?"
      'L' = "L:Ever had surgery?"
      'M' = "M:Any history of asthmatism?"
      'N' = "N:Any history of kidney disease?"
      'W' = "W:PROMPTED"
   ;
   value H57_2_
      1 = "1:Interview contnued"
   ;
   value $H58_
      'A' = "A:Body height?"
      'B' = "B:body weight?"
      'C' = "C:take blood presure?"
      'D' = "D:Palpitate abdomen/measure uterine height?"
      'E' = "E:Listen to fetal heartbeat?"
      'F' = "F:Pelvic examination?"
      'G' = "G:Check for edema?"
      'H' = "H:Upper arm measurement"
      'I' = "I:Facial appearance, paleornot"
      'W' = "W:PROMPTED"
   ;
   value H58_2_
      1 = "1:Interview contnued"
   ;
   value $H59_
      'A' = "A:Pregnancy test?"
      'B' = "B:Hemoglobin test?"
      'C' = "C:Urine examination for"
      'D' = "D:Urine protein?"
      'E' = "E:Ultrasound?"
      'F' = "F:platelets?"
      'G' = "G:Liver enzymes"
      'H' = "H:Chem 7/BUN/creatinine"
      'I' = "I:HIV screen"
      'J' = "J:STI test: syphillis o"
      'K' = "K:Rubella antibodies"
      'L' = "L:Blood type and rhesus"
      'M' = "M:dental test"
      'W' = "W:PROMPTED"
   ;
   value H59_2_
      1 = "1:Interview contnued"
   ;
   value $H60_
      'A' = "A:Advice about nutrition?"
      'B' = "B:Administer tetanus toxiod?"
      'C' = "C:Supply iron/ folic acid supplementation?"
      'D' = "D:Schedule her for another prenatal visit?"
      'E' = "E:Make a plan for delivery?"
      'F' = "F:Advice about danger signs for emergency"
      'G' = "G:Recommendations for lactation / contrace"
      'H' = "H:HIV voluntary counseling/test?"
      'I' = "I:Complete prenatal card?"
      'J' = "J:Have a rest"
      'K' = "K:Maintain cleanliness"
      'W' = "W:PROMPTED"
   ;
   value H60_2_
      1 = "1:wawancara berlanjut"
   ;
   value H9_
      1 = "1:Interview continued"
      9 = "9:Interview ended"
   ;
   value INTRO_A1_
      1 = "1:interview continue"
      9 = "9:interview stop"
   ;
   value INTRO_A2_
      1 = "1:interview continue"
      9 = "9:interview stop"
   ;
   value INTRO_A3_
      1 = "1:interview continue"
      9 = "9:interview stop"
   ;
   value INTRO_AKM_
      1 = "1:Interview continued"
      9 = "9:Interview ended"
   ;
   value INTRO_AKM_2_
      1 = "1:Interview continued"
      9 = "9:Interview ended"
   ;
   value INTRO_H1_
      1 = "1:Interview continued"
      9 = "9:Interview ended"
   ;
   value INTRO_H2_
      1 = "1:Interview continued"
      9 = "9:Interview ended"
   ;
   value INTRO_H3_
      1 = "1:Interview continued"
      9 = "9:Interview ended"
   ;
   value INTRO_H4_
      1 = "1:Interview continued"
      9 = "9:Interview ended"
   ;
   value INTRO_H5_
      1 = "1:Interview continued"
      9 = "9:Interview ended"
   ;
   value INTRO_H6_
      1 = "1:Interview continued"
      9 = "9:Interview ended"
   ;
   value INTRO_H7_
      1 = "1:Interview continued"
      9 = "9:Interview ended"
   ;
   value INTRO_H8_
      1 = "1:Interview continued"
      9 = "9:Interview ended"
   ;
   value INTRO_H9_
      1 = "1:interview continue"
      9 = "9:Interview continued"
   ;
   value INTRO_SDP_
      1 = "1:Interview continued"
      9 = "9:Interview ended"
   ;
   value PUSA_MOVER_
      0 = "0:CANCEL"
      1 = "1:COVER"
      2 = "2:LK"
      3 = "3:A26"
      4 = "4:AA0 - A25"
      5 = "5:A27BB - A27AB"
      6 = "6:SDP"
      7 = "7:AKM"
      8 = "8:DM"
      9 = "9:H1 - H14"
      10 = "10:H15 - H29"
      11 = "11:H30 - H44"
      12 = "12:H45 - H60"
      13 = "13:CP"
   ;
   value H1_
      1 = "1:Yes"
      3 = "3:No => H15"
      9 = "9:MISSING"
   ;
   value H11A_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H11B_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H11C_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H11D_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H11E_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H11F_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H11G_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H11H_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H11I_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H11J_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H11K_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H11L_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H11M_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H11N_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H11O_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H12A_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H12B_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H12C_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H12D_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H12E_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H12F_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H12G_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H12H_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H12I_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H12J_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H12K_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H12L_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H12M_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H12N_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H13A_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H13B_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H13C_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H13D_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H13E_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H13F_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H13G_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H13H_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H13I_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H14A_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H14B_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H14C_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H14D_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H14E_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H14F_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H14G_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H15_
      1 = "1:Yes"
      3 = "3:No => H30"
      9 = "9:MISSING"
   ;
   value H17_
      1 = "1:Medical dotor : GP"
      2 = "2:Medical dotor : specialist"
      3 = "3:Nurse"
      4 = "4:Midwife"
      5 = "5:Paramedic"
      9 = "9:MISSING"
   ;
   value H17A_
      1 = "1:University of Indonesia"
      2 = "2:University of Gadjah Mada"
      3 = "3:University of Airlangga"
      4 = "4:University of  Diponegoro"
      5 = "5:University of  Padjadjaran"
      6 = "6:Other state university"
      7 = "7:Private university"
      95 = "95:Other"
      99 = "99:MISSING"
   ;
   value H18_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value H19_
      1 = "1:yes"
      3 = "3:no => H9"
      9 = "9:MISSING"
   ;
   value H25A_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H25B_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H25C_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H25D_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H25E_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H25F_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H25G_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H25H_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H25I_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H25J_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H25K_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H25L_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H25M_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H25N_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H25O_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H25Q_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H26A_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H26B_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H26C_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H26D_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H26E_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H26F_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H26G_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H26H_
      1 = "1:mentioned spontaneously"
      2 = "2:yes"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value H26I_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H26J_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H26K_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H26L_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H26M_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H26N_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H27A_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H27B_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H27C_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H27D_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H27E_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H27F_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H27G_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H27H_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H27I_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H27J_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H28A_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H28B_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H28C_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H28D_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H28E_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H28F_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H28G_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H28H_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H28I_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H29A_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H29B_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H29C_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H29D_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H29E_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H29F_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H29G_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H29H_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H3_
      1 = "1:Medical dotor : GP"
      2 = "2:Medical dotor : specialist"
      3 = "3:Nurse"
      4 = "4:Midwife"
      5 = "5:Paramedic"
      9 = "9:MISSING"
   ;
   value H3A_
      1 = "1:University of Indonesia"
      2 = "2:University of Gadjah Mada"
      3 = "3:University of Airlangga"
      4 = "4:University of  Diponegoro"
      5 = "5:University of  Padjadjaran"
      6 = "6:Other state university"
      7 = "7:Private university"
      95 = "95:Other"
      99 = "99:MISSING"
   ;
   value H4_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value H5_
      1 = "1:Yes"
      3 = "3:No => H9"
      9 = "9:MISSING"
   ;
   value H30_
      1 = "1:Yes"
      3 = "3:No => H45"
      9 = "9:MISSING"
   ;
   value H32_
      1 = "1:Medical dotor : GP"
      2 = "2:Medical dotor : specialist"
      3 = "3:Nurse"
      4 = "4:Midwife"
      5 = "5:Paramedic"
      9 = "9:MISSING"
   ;
   value H32A_
      1 = "1:University of Indonesia"
      2 = "2:University of Gadjah Mada"
      3 = "3:University of Airlangga"
      4 = "4:University of  Diponegoro"
      5 = "5:University of  Padjadjaran"
      6 = "6:Other state university"
      7 = "7:Private university"
      95 = "95:Other"
      99 = "99:MISSING"
   ;
   value H33_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value H34_
      1 = "1:Yes"
      3 = "3:No => H38"
      9 = "9:MISSING"
   ;
   value H40A_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H40B_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H40C_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H40D_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H40E_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H40F_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H40G_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H40H_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H40I_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H40J_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H40K_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H40L_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H40M_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H40N_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H40O_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H41A_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H41B_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H41C_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H41D_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H41E_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H41F_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H41G_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H41H_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H41I_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H41K_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H41L_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H42A_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H42B_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H42C_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H42D_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H42E_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H42F_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H42G_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H42H_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H42I_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H42J_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H42K_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H42L_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H42M_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H42N_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H42O_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H42P_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H43A_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H43B_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H43C_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H44A_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H44B_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H44C_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H44D_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H44E_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H44F_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H44G_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H44H_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H44I_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H44J_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H44K_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H47_
      1 = "1:Medical dotor : GP"
      2 = "2:Medical dotor : specialist"
      3 = "3:Nurse"
      4 = "4:Midwife"
      5 = "5:Paramedic"
      9 = "9:MISSING"
   ;
   value H47A_
      1 = "1:University of Indonesia"
      2 = "2:University of Gadjah Mada"
      3 = "3:University of Airlangga"
      4 = "4:University of  Diponegoro"
      5 = "5:University of  Padjadjaran"
      6 = "6:Other state university"
      7 = "7:Private university"
      95 = "95:Other"
      99 = "99:MISSING"
   ;
   value H48_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value H49_
      1 = "1:Yes"
      3 = "3:No => H53"
      9 = "9:MISSING"
   ;
   value H55A_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H55B_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H55C_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H55D_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H55E_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H55F_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H55G_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H55H_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H56A_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H56B_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H56C_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H56D_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H56E_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H57A_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H57B_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H57C_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H57D_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H57E_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H57F_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H57G_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H57H_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H57I_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H57J_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H57K_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H57L_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H57M_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H57N_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H58A_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H58B_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H58C_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H58D_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H58E_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H58F_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H58G_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H58H_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H58I_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H59A_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H59B_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H59C_
      1 = "1:mentioned spontaneously"
      2 = "2:yes"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value H59D_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H59E_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H59F_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H59G_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H59H_
      1 = "1:mentioned spontaneously"
      2 = "2:yes"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value H59I_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H59J_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H59K_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H59L_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H59M_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H60A_
      1 = "1:mentioned spontaneously"
      2 = "2:yes"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value H60B_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H60C_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H60D_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H60E_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H60F_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H60G_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H60H_
      1 = "1:mentioned spontaneously"
      2 = "2:yes"
      3 = "3:no"
      9 = "9:MISSING"
   ;
   value H60I_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H60J_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H60K_
      1 = "1:Mentioned spontaneously"
      2 = "2:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H1TYPE_
      1 = "1:Diagnostic algorithm for adult diseases"
      2 = "2:Non-communicable disease"
      3 = "3:Respiratory disease"
      4 = "4:Antibiotic for respiratory disease"
   ;
   value H6_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H7_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H8_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H20_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H21_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H22_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H2TYPE_
      1 = "1:Diagnostic algorithm for adult diseases"
      2 = "2:Non-communicable disease"
      3 = "3:Respiratory disease"
      4 = "4:Antibiotic for respiratory disease"
   ;
   value H35_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H36_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H37_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H3TYPE_
      1 = "1:Child immunization"
      2 = "2:Treatment of acute respiratory infection"
      3 = "3:Treatment of diarrhea"
      4 = "4:Treatment of malaria"
      5 = "5:Nutrition"
      6 = "6:HIV transmission in pregnancy"
      7 = "7:Prenatal care"
   ;
   value H4TYPE_
      1 = "1:Safe delivery"
      2 = "2:High risk pregnancies"
      3 = "3:Assistance during labor"
      4 = "4:HIV in pregnancy"
      5 = "5:Obsterical emergencies"
      6 = "6:Family planning"
      7 = "7:Other"
   ;
   value H50_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H51_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value H52_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value LK05_
      1 = "1:Urban"
      2 = "2:Rural"
   ;
   value LK07A_POS_
      1 = "1:West"
      2 = "2:Southwest"
      3 = "3:South"
      4 = "4:Southeast"
      5 = "5:East"
      6 = "6:Northeast"
      7 = "7:North"
      8 = "8:Northwest"
      9 = "9:MISSING"
   ;
   value LK07A_X_
      0 = "0:View GIS data"
      1 = "1:GIS code taken"
      3 = "3:GIS code not taken"
      6 = "6:NOT APPLICABLE"
      9 = "9:MISSING"
   ;
   value LK07BB_
      1 = "1:Picture is available"
      3 = "3:Picture is not available"
      9 = "9:MISSING"
   ;
   value $LK09X_
      'A' = "A:Landline phone number given"
      'B' = "B:Cellphone number given"
      'W' = "W:NONE"
      'Y' = "Y:DON'T KNOW"
      'Z' = "Z:MISSING"
   ;
   value LK11_
      1 = "1:Puskesmas"
      2 = "2:Puskesmas Pembantu"
      9 = "9:MISSING"
   ;
   value LK20_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value LK21_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value LK22_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value LK23_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value LK24_
      1 = "1:Yes"
      3 = "3:No"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value SDP00_
      1 = "2014"
      2 = "2013/2014"
      6 = "6:NO BUDGET"
      9 = "9:MISSING"
   ;
   value SDP00A_
      1 = "1:Yes"
      3 = "3:No -> SDP00"
      9 = "9:MISSING"
   ;
   value SDP00B_MTH_
      1 = "1:January"
      2 = "2:February"
      3 = "3:March"
      4 = "4:April"
      5 = "5:May"
      6 = "6:June"
      7 = "7:July"
      8 = "8:August"
      9 = "9:September"
      10 = "10:October"
      11 = "11:November"
      12 = "12:December"
      98 = "98:DON'T KNOW"
      99 = "99:MISSING"
   ;
   value SDP00B_X_
      1 = "1:Given"
      8 = "8:DON'T KNOW"
      9 = "9:MISSING"
   ;
   value SDP00B_YR_
      9998 = "9998:DON'T KNOW"
      9999 = "9999:MISSING"
   ;
   value $SDP00D_
      'A' = "A:Transportation cost for outdoor activities."
      'B' = "B:transportation cost for supporting puskesma' astivities"
      'C' = "C:Transportation cost for indigenous practitioner (dukunberanak)"
      'D' = "D:purchase of materials/food for PMT activities"
      'E' = "E:Curative and rehabilitation effort"
      'F' = "F:Salary, work overtime fee, incentives"
      'G' = "G:Building maintenance (minor and major)"
      'H' = "H:Vehicle maintenance (minor and major)"
      'I' = "I:Phone, electricity, and water bills."
      'J' = "J:Provisions of medicines, vaccines, health appliance"
      'K' = "K:Transportation cost for referenced patients"
      'Z' = "Z:MISSING"
   ;
   value SDP01AX_
      1 = "1:Rupiah given"
      6 = "6:DID NOT PROPOSE"
      9 = "9:MISSING"
   ;
   value SDP01BX_
      1 = "1:Rupiah given"
      6 = "6:Puskesmas pembantu (Pustu) ->SDP14"
      9 = "9:MISSING"
   ;
   value SDP03AX_
      1 = "1:Rupiah given"
      6 = "6:NO TARGET -> SDP05A"
      9 = "9:MISSING"
   ;
   value SDP08X_
      1 = "1:Rupiah given"
      6 = "6:NO TARGET"
      9 = "9:MISSING"
   ;
   value SDP09X_
      1 = "1:Rupiah given"
      6 = "6:NONE"
      9 = "9:MISSING"
   ;
   value $SDP10_
      'A' = "A:Puskesmas"
      'B' = "B:Dinas"
      'C' = "C:Kabupaten planning unit"
      'D' = "D:Bupati/walikota"
      'E' = "E:DPRD"
      'V' = "V:Other"
      'Z' = "Z:MISSING"
   ;
   value SDP11_
      1 = "1:Yes"
      3 = "3:No"
      9 = "9:MISSING"
   ;
   value SDP12_
      1 = "1:Much better  => SEKSI AKM"
      2 = "2:Better  => SEKSI AKM"
      3 = "3:Same  => SEKSI AKM"
      4 = "4:Worse"
      5 = "5:Much worse"
      9 = "9:MISSING"
   ;
   value $SDP13_
      'A' = "A:More uncertain"
      'B' = "B:Slower fund disbursement"
      'C' = "C:Inadequate fund"
      'D' = "D:Refunding problem"
      'E' = "E:Inflexible allocation for each expenditure"
      'V' = "V:Other"
      'Z' = "Z:MISSING"
   ;
   value BEGHRPUSA_
      99 = "99:MISSING"
   ;
   value BEGHRPUSA_A_
      99 = "99:MISSING"
   ;
   value BEGHRPUSA_AKM_
      99 = "99:MISSING"
   ;
   value BEGHRPUSA_COV_
      99 = "99:MISSING"
   ;
   value BEGHRPUSA_CP_
      99 = "99:MISSING"
   ;
   value BEGHRPUSA_DM_
      99 = "99:MISSING"
   ;
   value BEGHRPUSA_H_
      99 = "99:MISSING"
   ;
   value BEGHRPUSA_LK_
      99 = "99:MISSING"
   ;
   value BEGHRPUSA_SDP_
      99 = "99:MISSING"
   ;
   value BEGMINPUSA_
      99 = "99:MISSING"
   ;
   value BEGMINPUSA_A_
      99 = "99:MISSING"
   ;
   value BEGMINPUSA_AKM_
      99 = "99:MISSING"
   ;
   value BEGMINPUSA_COV_
      99 = "99:MISSING"
   ;
   value BEGMINPUSA_CP_
      99 = "99:MISSING"
   ;
   value BEGMINPUSA_DM_
      99 = "99:MISSING"
   ;
   value BEGMINPUSA_H_
      99 = "99:MISSING"
   ;
   value BEGMINPUSA_LK_
      99 = "99:MISSING"
   ;
   value BEGMINPUSA_SDP_
      99 = "99:MISSING"
   ;
   value ENDHRPUSA_
      99 = "99:MISSING"
   ;
   value ENDHRPUSA_A_
      99 = "99:MISSING"
   ;
   value ENDHRPUSA_AKM_
      99 = "99:MISSING"
   ;
   value ENDHRPUSA_COV_
      99 = "99:MISSING"
   ;
   value ENDHRPUSA_CP_
      99 = "99:MISSING"
   ;
   value ENDHRPUSA_DM_
      99 = "99:MISSING"
   ;
   value ENDHRPUSA_H_
      99 = "99:MISSING"
   ;
   value ENDHRPUSA_LK_
      99 = "99:MISSING"
   ;
   value ENDHRPUSA_SDP_
      99 = "99:MISSING"
   ;
   value ENDMINPUSA_
      99 = "99:MISSING"
   ;
   value ENDMINPUSA_A_
      99 = "99:MISSING"
   ;
   value ENDMINPUSA_AKM_
      99 = "99:MISSING"
   ;
   value ENDMINPUSA_COV_
      99 = "99:MISSING"
   ;
   value ENDMINPUSA_CP_
      99 = "99:MISSING"
   ;
   value ENDMINPUSA_DM_
      99 = "99:MISSING"
   ;
   value ENDMINPUSA_H_
      99 = "99:MISSING"
   ;
   value ENDMINPUSA_LK_
      99 = "99:MISSING"
   ;
   value ENDMINPUSA_SDP_
      99 = "99:MISSING"
   ;
   value IVWDAYPUSA_
      99 = "99:MISSING"
   ;
   value IVWMTHPUSA_
      99 = "99:MISSING"
   ;
   value MODE_PUSA_
      1 = "1:Entry"
      2 = "2:Modification"
      3 = "3:Verification"
   ;
   value PARTIAL_PUSA_
      1 = "1:Partial save"
      2 = "2:Complete"
   ;
   run;
